searchNodes=[{"doc":"App Entry Main Docs and interface for people using this library should be provided here.","ref":"Remedy.html","title":"Remedy","type":"module"},{"doc":"Standard interface for the Discord API. The majority of the functions within this module are pulled directly from the Discord API. Some custom implementations are included. Ratelimits Discord imposes rate limits in various capacities. The functions in this module will respect those rate limits where possible. If required, a request will be held until it is allowed to be completed. Cache Interaction This module does not automagically interract with the cache. Return Values Items returned from the API are parsed to ensure the values of in the correct format and types. List vs Get? Functions in the discord API that return lists are randomly called either Get or List for some arbitrary reason. This is rectified so that all functions returning lists will start with the verb list. Edit vs Modify? The functions have been normalized to :modify . Note: This one is anyones guess, just saying if I can pick or the other with a $2 mcmuffin in my hand. Discord can figure it out with 400 mil in the bank. I made them all :modify because its cuter. Permissions Any permissions a bot requires on a server to send a request is shown under the function. Intents If a privileged intent is required for a request to be completed, it is also shown under the function. Missing Functions The following functions were not migrated from Nostrum :get_user_dms","ref":"Remedy.API.html","title":"Remedy.API","type":"module"},{"doc":"Puts a user in a guild. Permissions CREATE_INSTANT_INVITE MANAGE_NICKNAMES * MANAGE_ROLES * MUTE_MEMBERS * DEAFEN_MEMBERS * Events :GUILD_MEMBER_ADD Options :access_token (string) - the user's oauth2 access token :nick (string) - value to set users nickname to :roles (list of t:Remedy.Schema.Guild.Role.id/0 ) - array of role ids the member is assigned :mute (boolean) - if the user is muted :deaf (boolean) - if the user is deafened :access_token is always required. Examples iex&gt; Remedy.API . add_guild_member ( ...&gt; 41771983423143937 , ...&gt; 18374719829378473 , ...&gt; access_token : &quot;6qrZcUqja7812RVdnEKjpzOL4CvHBFG&quot; , ...&gt; nick : &quot;remedy&quot; , ...&gt; roles : [ 431849301 , 913809431 ] )","ref":"Remedy.API.html#add_guild_member/2","title":"Remedy.API.add_guild_member/2","type":"function"},{"doc":"Adds a role to a member. Role to add is specified by role_id . User to add role to is specified by guild_id and user_id . An optional reason can be given for the audit log.","ref":"Remedy.API.html#add_guild_member_role/3","title":"Remedy.API.add_guild_member_role/3","type":"function"},{"doc":"","ref":"Remedy.API.html#add_thread_member/2","title":"Remedy.API.add_thread_member/2","type":"function"},{"doc":"","ref":"Remedy.API.html#batch_modify_application_command_permissions/1","title":"Remedy.API.batch_modify_application_command_permissions/1","type":"function"},{"doc":"Begins a guild prune to prune members within days . An optional reason can be provided for the guild audit log. This endpoint requires the KICK_MEMBERS permission. It fires multiple Remedy.Consumer.guild_member_remove/0 events. If successful, returns {:ok, %{pruned: pruned}} . Otherwise, returns a Remedy.API.error/0 . Examples iex&gt; Remedy.API . begin_guild_prune ( 81384788765712384 , 1 ) { :ok , %{ pruned : 0 } }","ref":"Remedy.API.html#begin_guild_prune/1","title":"Remedy.API.begin_guild_prune/1","type":"function"},{"doc":"Deletes multiple messages from a channel. messages is a list of Remedy.Schema.Message.id that you wish to delete. When given more than 100 messages, this function will chunk the given message list into blocks of 100 and send them off to the API. It will stop deleting on the first error that occurs. Keep in mind that deleting thousands of messages will take a pretty long time and it may be proper to just delete the channel you want to bulk delete in and recreate it. This method can only delete messages sent within the last two weeks. Filter is an optional parameter that specifies whether messages sent over two weeks ago should be filtered out; defaults to true .","ref":"Remedy.API.html#bulk_delete_messages/1","title":"Remedy.API.bulk_delete_messages/1","type":"function"},{"doc":"Overwrite the existing global application commands. This action will: Create any command that was provided and did not already exist Update any command that was provided and already existed if its configuration changed Delete any command that was not provided but existed on Discord's end Updates will be available in all guilds after 1 hour. Commands that do not already exist will count toward daily application command create limits. Parameters application_id : Application ID for which to overwrite the commands. If not given, this will be fetched from Me . commands : List of command configurations, see the linked API documentation for reference. Return value Updated list of global application commands. See the official reference: https://discord.com/developers/docs/interactions/slash-commands#bulk-overwrite-global-application-commands","ref":"Remedy.API.html#bulk_overwrite_global_application_commands/0","title":"Remedy.API.bulk_overwrite_global_application_commands/0","type":"function"},{"doc":"Overwrite the existing guild application commands on the specified guild. This action will: Create any command that was provided and did not already exist Update any command that was provided and already existed if its configuration changed Delete any command that was not provided but existed on Discord's end Parameters application_id : Application ID for which to overwrite the commands. If not given, this will be fetched from Me . guild_id : Guild on which to overwrite the commands. commands : List of command configurations, see the linked API documentation for reference. Return value Updated list of guild application commands. See the official reference: https://discord.com/developers/docs/interactions/slash-commands#bulk-overwrite-guild-application-commands","ref":"Remedy.API.html#bulk_overwrite_guild_application_commands/1","title":"Remedy.API.bulk_overwrite_guild_application_commands/1","type":"function"},{"doc":"Creates an invite for a guild channel. An optional reason can be provided for the audit log. This endpoint requires the CREATE_INSTANT_INVITE permission. If successful, returns {:ok, invite} . Otherwise, returns a Remedy.API.error/0 . Options :max_age (integer) - duration of invite in seconds before expiry, or 0 for never. (default: 86400 ) :max_uses (integer) - max number of uses or 0 for unlimited. (default: 0 ) :temporary (boolean) - Whether the invite should grant temporary membership. (default: false ) :unique (boolean) - used when creating unique one time use invites. (default: false ) Examples iex&gt; Remedy.API . create_channel_invite ( 41771983423143933 ) { :ok , Remedy.Schema.Invite { } } iex&gt; Remedy.API . create_channel_invite ( 41771983423143933 , max_uses : 20 ) { :ok , % Remedy.Schema.Invite { } }","ref":"Remedy.API.html#create_channel_invite/1","title":"Remedy.API.create_channel_invite/1","type":"function"},{"doc":"Create a new DM channel with a user. If successful, returns {:ok, dm_channel} . Otherwise, returns a Remedy.API.error/0 . Examples iex&gt; Remedy.API . create_dm ( 150061853001777154 ) { :ok , % Remedy.Schema.Channel { type : 1 } }","ref":"Remedy.API.html#create_dm/0","title":"Remedy.API.create_dm/0","type":"function"},{"doc":"Create a followup message for an interaction. Delegates to execute_webhook/3 , see the function for more details.","ref":"Remedy.API.html#create_followup_message/1","title":"Remedy.API.create_followup_message/1","type":"function"},{"doc":"Create a new global application command. The new command will be available on all guilds in around an hour. If you want to test commands, use create_guild_application_command/2 instead, as commands will become available instantly there. If an existing command with the same name exists, it will be overwritten. Parameters application_id : Application ID for which to create the command. If not given, this will be fetched from Me . command : Command configuration, see the linked API documentation for reference. Return value The created command. See the official reference: https://discord.com/developers/docs/interactions/slash-commands#create-global-application-command Example iex&gt; Remedy.API . create_application_command ( %{ name : &quot;edit&quot; , description : &quot;ed, man! man, ed&quot; , options : [ ] } ) { :ok , % Remedy.Schema.Command { } }","ref":"Remedy.API.html#create_global_application_command/0","title":"Remedy.API.create_global_application_command/0","type":"function"},{"doc":"Creates a new group DM channel. If successful, returns {:ok, group_dm_channel} . Otherwise, returns a Remedy.API.error/0 . access_tokens are user oauth2 tokens. nicks is a map that maps a user id to a nickname. Examples iex&gt; Remedy.API . create_group_dm ( [ &quot;6qrZcUqja7812RVdnEKjpzOL4CvHBFG&quot; ] , %{ 41771983423143937 =&gt; &quot;My Nickname&quot; } ) { :ok , % Remedy.Schema.Channel { type : 3 } }","ref":"Remedy.API.html#create_group_dm/0","title":"Remedy.API.create_group_dm/0","type":"function"},{"doc":"","ref":"Remedy.API.html#create_guild/0","title":"Remedy.API.create_guild/0","type":"function"},{"doc":"","ref":"Remedy.API.html#create_guild_application_command/2","title":"Remedy.API.create_guild_application_command/2","type":"function"},{"doc":"Bans a user from a guild. User to delete is specified by guild_id and user_id . An optional reason can be specified for the audit log.","ref":"Remedy.API.html#create_guild_ban/2","title":"Remedy.API.create_guild_ban/2","type":"function"},{"doc":"Creates a channel for a guild. Permissions MANAGE_CHANNELS Events :CHANNEL_CREATE Options :name (string) - channel name (2-100 characters) :type (integer) - the type of channel (See Remedy.Schema.Channel ) :topic (string) - channel topic (0-1024 characters) :bitrate (integer) - the bitrate (in bits) of the voice channel (voice only) :user_limit (integer) - the user limit of the voice channel (voice only) :permission_overwrites (list of t:Remedy.Schema.Overwrite.t/0 or equivalent map) - the channel's permission overwrites :parent_id - id of the parent category for a channel :nsfw (boolean) - if the channel is nsfw Examples iex&gt; Remedy.API . create_guild_channel ( 81384788765712384 , name : &quot;elixir-remedy&quot; , topic : &quot;craig&#39;s domain&quot; ) { :ok , % Remedy.Schema.Channel { guild_id : 81384788765712384 } }","ref":"Remedy.API.html#create_guild_channel/1","title":"Remedy.API.create_guild_channel/1","type":"function"},{"doc":"Creates a new emoji for the given guild. This endpoint requires the MANAGE_EMOJIS permission. It fires a Remedy.Consumer.guild_emojis_update/0 event. An optional reason can be provided for the audit log. If successful, returns {:ok, emoji} . Otherwise, returns Remedy.API.error/0 . Options :name (string) - name of the emoji :image (base64 data URI) - the 128x128 emoji image. Maximum size of 256kb :roles list of - roles for which this emoji will be whitelisted (default: []) :name and :image are always required. Examples iex&gt; image = &quot;data:image/png;base64,YXl5IGJieSB1IGx1a2luIDQgc3VtIGZ1az8=&quot; ...&gt; Remedy.API . create_guild_emoji ( 43189401384091 , name : &quot;remedy&quot; , image : image , roles : [ ] )","ref":"Remedy.API.html#create_guild_emoji/1","title":"Remedy.API.create_guild_emoji/1","type":"function"},{"doc":"","ref":"Remedy.API.html#create_guild_from_template/1","title":"Remedy.API.create_guild_from_template/1","type":"function"},{"doc":"Creates a guild role. An optional reason for the audit log can be provided via reason . This endpoint requires the MANAGE_ROLES permission. It fires a Remedy.Consumer.guild_role_create/0 event. If successful, returns {:ok, role} . Otherwise, returns a Remedy.API.error/0 . Options :name (string) - name of the role (default: &quot;new role&quot;) :permissions (integer) - bitwise of the enabled/disabled permissions (default: @everyone perms) :color (integer) - RGB color value (default: 0) :hoist (boolean) - whether the role should be displayed separately in the sidebar (default: false) :mentionable (boolean) - whether the role should be mentionable (default: false) Examples iex&gt; Remedy.API . create_guild_role ( 41771983423143937 , name : &quot;remedy-club&quot; , hoist : true ) { :ok , % Remedy.Schema.Role { } }","ref":"Remedy.API.html#create_guild_roles/1","title":"Remedy.API.create_guild_roles/1","type":"function"},{"doc":"","ref":"Remedy.API.html#create_guild_sticker/2","title":"Remedy.API.create_guild_sticker/2","type":"function"},{"doc":"","ref":"Remedy.API.html#create_guild_template/1","title":"Remedy.API.create_guild_template/1","type":"function"},{"doc":"Create a response to an interaction received from the gateway. Parameters id : The interaction ID to which the response should be created. token : The interaction token. response : An InteractionResponse object. See the linked documentation. Example As an alternative to passing the interaction ID and token, the original Remedy.Schema.Interaction.t/0 can also be passed directly. See create_interaction_response/1 .","ref":"Remedy.API.html#create_interaction_response/2","title":"Remedy.API.create_interaction_response/2","type":"function"},{"doc":"Posts a message to a guild text or DM channel. Intents :VIEW_CHANNEL :SEND_MESSAGES :SEND_MESSAGES_TTS (optional) Events t:Remedy.Gateway.Dispatch.message_create/0 . Options :content (string) - the message contents (up to 2000 characters) :tts (boolean) - true if this is a TTS message :file ( Path.t/0 | map) - the path of the file being sent, or a map with the following keys if sending a binary from memory :name (string) - the name of the file :body (string) - binary you wish to send :embed ( Remedy.Schema.Embed.t/0 ) - embedded rich content :allowed_mentions - See &quot;Allowed mentions&quot; below :message_reference ( map ) - See &quot;Message references&quot; below Note: At least one of the following is required: :content , :file , :embed . Allowed mentions :all (default) - Ping everything as usual :none - Nobody will be pinged :everyone - Allows to ping @here and @everone :users - Allows to ping users :roles - Allows to ping roles {:users, list} - Allows to ping list of users. Can contain up to 100 ids of users. {:roles, list} - Allows to ping list of roles. Can contain up to 100 ids of roles. Examples iex&gt; { :ok , message } = Remedy.API . create_message ( 872417560094732331 , content : &quot;**Doctest Message** ✅&quot; ) ...&gt; message . content &quot;**Doctest Message** ✅&quot;","ref":"Remedy.API.html#create_message/2","title":"Remedy.API.create_message/2","type":"function"},{"doc":"Creates a reaction for a message. Permissions VIEW_CHANNEL READ_MESSAGE_HISTORY ADD_REACTIONS () Examples iex&gt; Remedy.API . create_reaction ( 123123123123 , 321321321321 , ...&gt; % Remedy.Schema.Emoji { id : 43819043108 , name : &quot;foxbot&quot; } ...&gt; ) :ok iex&gt; Remedy.API . create_reaction ( 123123123123 , 321321321321 , &quot;😁&quot; ) Note: For other emoji string examples, see t:Remedy.Schema.Emoji.api_name/0 .","ref":"Remedy.API.html#create_reaction/3","title":"Remedy.API.create_reaction/3","type":"function"},{"doc":"","ref":"Remedy.API.html#create_stage/0","title":"Remedy.API.create_stage/0","type":"function"},{"doc":"Creates a webhook. Parameters channel_id - Id of the channel to send the message to. args - Map with the following required keys: name - Name of the webhook. avatar - Base64 128x128 jpeg image for the default avatar. reason - An optional reason for the guild audit log.","ref":"Remedy.API.html#create_webhook/1","title":"Remedy.API.create_webhook/1","type":"function"},{"doc":"Deletes all reactions from a message. Permissions VIEW_CHANNEL , READ_MESSAGE_HISTORY MANAGE_MESSAGES Events :MESSAGE_REACTION_REMOVE_ALL . Examples","ref":"Remedy.API.html#delete_all_reactions/2","title":"Remedy.API.delete_all_reactions/2","type":"function"},{"doc":"Deletes all reactions of a given emoji from a message. Permissions MANAGE_MESSAGES Events :MESSAGE_REACTION_REMOVE_EMOJI If successful, returns {:ok} . Otherwise, returns Remedy.API.error/0 . See create_reaction/3 for similar examples.","ref":"Remedy.API.html#delete_all_reactions_for_emoji/3","title":"Remedy.API.delete_all_reactions_for_emoji/3","type":"function"},{"doc":"Deletes a channel. An optional reason can be provided for the guild audit log. Permissions MANAGE_CHANNELS Events :CHANNEL_DELETE Examples iex&gt; Remedy.API.delete_channel(421533712753360896) {:ok, %Remedy.Schema.Channel{id: 421533712753360896}} iex&gt; Remedy.API.delete_channel(123)","ref":"Remedy.API.html#delete_channel/1","title":"Remedy.API.delete_channel/1","type":"function"},{"doc":"Delete a channel permission for a user or role. Role or user overwrite to delete is specified by channel_id and overwrite_id . An optional reason can be given for the audit log.","ref":"Remedy.API.html#delete_channel_permission/2","title":"Remedy.API.delete_channel_permission/2","type":"function"},{"doc":"Delete a followup message for an interaction. Parameters application_id : Application ID for which to create the command. If not given, this will be fetched from Me . token : Interaction token. message_id : Followup message ID.","ref":"Remedy.API.html#delete_followup_message/2","title":"Remedy.API.delete_followup_message/2","type":"function"},{"doc":"Delete an existing global application command. Parameters application_id : Application ID for which to create the command. If not given, this will be fetched from Me . command_id : The current snowflake of the command.","ref":"Remedy.API.html#delete_global_application_command/1","title":"Remedy.API.delete_global_application_command/1","type":"function"},{"doc":"Deletes a guild. This endpoint requires that the current user is the owner of the guild. Events :GUILD_DELETE Examples iex&gt; Remedy.API . delete_guild ( 618432108653707274 ) { :error , { 403 , 50001 , &quot;Missing Access&quot; } } iex&gt; Remedy.API . delete_guild ( 618432108653707274 ) { :error , { 403 , 50001 , &quot;Missing Access&quot; } }","ref":"Remedy.API.html#delete_guild/1","title":"Remedy.API.delete_guild/1","type":"function"},{"doc":"","ref":"Remedy.API.html#delete_guild_application_command/2","title":"Remedy.API.delete_guild_application_command/2","type":"function"},{"doc":"Deletes the given emoji. An optional reason can be provided for the audit log. This endpoint requires the MANAGE_EMOJIS permission. It fires a Remedy.Consumer.guild_emojis_update/0 event. If successful, returns {:ok} . Otherwise, returns Remedy.API.error/0 .","ref":"Remedy.API.html#delete_guild_emoji/2","title":"Remedy.API.delete_guild_emoji/2","type":"function"},{"doc":"Deletes a guild integeration. Integration to delete is specified by guild_id and integeration_id .","ref":"Remedy.API.html#delete_guild_integration/2","title":"Remedy.API.delete_guild_integration/2","type":"function"},{"doc":"Deletes a role from a guild. An optional reason can be specified for the audit log. This endpoint requires the MANAGE_ROLES permission. It fires a Remedy.Consumer.guild_role_delete/0 event. If successful, returns {:ok} . Otherwise, returns a Remedy.API.error/0 . Examples iex&gt; Remedy.API . delete_guild_role ( 41771983423143937 , 392817238471936 )","ref":"Remedy.API.html#delete_guild_role/2","title":"Remedy.API.delete_guild_role/2","type":"function"},{"doc":"","ref":"Remedy.API.html#delete_guild_sticker/2","title":"Remedy.API.delete_guild_sticker/2","type":"function"},{"doc":"","ref":"Remedy.API.html#delete_guild_template/2","title":"Remedy.API.delete_guild_template/2","type":"function"},{"doc":"Deletes an invite by its invite_code . This endpoint requires the MANAGE_CHANNELS permission. If successful, returns {:ok, invite} . Otherwise, returns a Remedy.API.error/0 . Examples iex&gt; Remedy.API . delete_invite ( &quot;zsjUsC&quot; ) { :ok , % Remedy.Schema.Invite { } }","ref":"Remedy.API.html#delete_invite/1","title":"Remedy.API.delete_invite/1","type":"function"},{"doc":"Deletes a message. Permissions 'VIEW_CHANNEL' 'MANAGE_MESSAGES' Events MESSAGE_DELETE Examples iex&gt; Remedy.API . delete_message ( 43189401384091 , 43189401384091 )","ref":"Remedy.API.html#delete_message/2","title":"Remedy.API.delete_message/2","type":"function"},{"doc":"","ref":"Remedy.API.html#delete_original_interaction_response/1","title":"Remedy.API.delete_original_interaction_response/1","type":"function"},{"doc":"Deletes a reaction the bot has made for the message. Permissions VIEW_CHANNEL READ_MESSAGE_HISTORY Events :MESSAGE_REACTION_REMOVE Examples iex&gt; Remedy.API . delete_own_reaction ( 123 , 123 , 123 ) { :ok }","ref":"Remedy.API.html#delete_own_reaction/3","title":"Remedy.API.delete_own_reaction/3","type":"function"},{"doc":"","ref":"Remedy.API.html#delete_stage/1","title":"Remedy.API.delete_stage/1","type":"function"},{"doc":"Deletes another user's reaction from a message. Permissions VIEW_CHANNEL READ_MESSAGE_HISTORY MANAGE_MESSAGES Examples iex&gt;","ref":"Remedy.API.html#delete_user_reaction/4","title":"Remedy.API.delete_user_reaction/4","type":"function"},{"doc":"Deletes a webhook. Parameters webhook_id - Id of webhook to delete. reason - An optional reason for the guild audit log.","ref":"Remedy.API.html#delete_webhook/1","title":"Remedy.API.delete_webhook/1","type":"function"},{"doc":"","ref":"Remedy.API.html#delete_webhook_message/3","title":"Remedy.API.delete_webhook_message/3","type":"function"},{"doc":"","ref":"Remedy.API.html#delete_webhooks_with_token/2","title":"Remedy.API.delete_webhooks_with_token/2","type":"function"},{"doc":"Executes a github webhook. Parameters webhook_id - Id of the webhook to execute. webhook_token - Token of the webhook to execute.","ref":"Remedy.API.html#execute_github_webhook/2","title":"Remedy.API.execute_github_webhook/2","type":"function"},{"doc":"Executes a slack webhook. Parameters webhook_id - Id of the webhook to execute. webhook_token - Token of the webhook to execute.","ref":"Remedy.API.html#execute_slack_webhook/2","title":"Remedy.API.execute_slack_webhook/2","type":"function"},{"doc":"Executes a webhook. ## Parameters webhook_id - Id of the webhook to execute. webhook_token - Token of the webhook to execute. args - Map with the following required keys: content - Message content. file - File to send. embeds - List of embeds to send. username - Overrides the default name of the webhook. avatar_url - Overrides the default avatar of the webhook. tts - Whether the message should be read over text to speech. wait - Whether to return an error or not. Defaults to false . Only one of content , file or embeds should be supplied in the args parameter.","ref":"Remedy.API.html#execute_webhook/2","title":"Remedy.API.execute_webhook/2","type":"function"},{"doc":"","ref":"Remedy.API.html#follow_news_channel/1","title":"Remedy.API.follow_news_channel/1","type":"function"},{"doc":"","ref":"Remedy.API.html#get_application_command_permissions/2","title":"Remedy.API.get_application_command_permissions/2","type":"function"},{"doc":"Get a channel. Examples iex&gt; { :ok , channel } = Remedy.API . get_channel ( 872417560094732331 ) ...&gt; channel . id 872417560094732331","ref":"Remedy.API.html#get_channel/1","title":"Remedy.API.get_channel/1","type":"function"},{"doc":"Gets a list of invites for a channel. This endpoint requires the 'VIEW_CHANNEL' and 'MANAGE_CHANNELS' permissions. If successful, returns {:ok, invite} . Otherwise, returns a Remedy.API.error/0 . Examples iex&gt; Remedy.API . get_channel_invites ( 43189401384091 ) { :ok , [ % Remedy.Schema.Invite { } ] }","ref":"Remedy.API.html#get_channel_invites/1","title":"Remedy.API.get_channel_invites/1","type":"function"},{"doc":"Retrieves a message from a channel. Permissions 'VIEW_CHANNEL' 'READ_MESSAGE_HISTORY' Examples iex&gt; Remedy.API.get_channel_message(872417560094732331, 884355195277025321) {:ok, %Remedy.Schema.Message{}}","ref":"Remedy.API.html#get_channel_message/2","title":"Remedy.API.get_channel_message/2","type":"function"},{"doc":"Gets the authorization information for the Bot. This is currently unused by any of the connections employed by Remedy and is included for completeness only. Examples iex&gt; Remedy.API . get_current_authorization_information ( ) { :error , { 401 , 50001 , &quot;Missing Access&quot; } }","ref":"Remedy.API.html#get_current_authorization_information/0","title":"Remedy.API.get_current_authorization_information/0","type":"function"},{"doc":"Gets the bot's OAuth2 application info. Examples iex&gt; Remedy.API . get_application_information ( ) { :ok , % Remedy.Schema.App { }","ref":"Remedy.API.html#get_current_bot_application_information/0","title":"Remedy.API.get_current_bot_application_information/0","type":"function"},{"doc":"Gets info on the current user. If remedy's caching is enabled, it is recommended to use Bot.get/0 instead of this function. This is because sending out an API request is much slower than pulling from our cache. If the request is successful, this function returns {:ok, user} , where user is remedy's Remedy.Schema.User . Otherwise, returns {:error, reason} .","ref":"Remedy.API.html#get_current_user/0","title":"Remedy.API.get_current_user/0","type":"function"},{"doc":"Gets a list of guilds the user is currently in. This endpoint requires the guilds OAuth2 scope. If successful, returns {:ok, guilds} . Otherwise, returns a Remedy.API.error/0 . Options :before - get guilds before this guild ID :after - get guilds after this guild ID :limit (integer) - max number of guilds to return (1-100) Examples iex&gt; Remedy.API . get_current_user_guilds ( limit : 1 ) { :ok , [ % Remedy.Schema.Guild { } ] }","ref":"Remedy.API.html#get_current_user_guilds/0","title":"Remedy.API.get_current_user_guilds/0","type":"function"},{"doc":"","ref":"Remedy.API.html#get_followup_message/2","title":"Remedy.API.get_followup_message/2","type":"function"},{"doc":"Gets a gateway URL. Examples iex&gt; Remedy.API . get_gateway ( ) { :ok , &quot;wss://gateway.discord.gg&quot; }","ref":"Remedy.API.html#get_gateway/0","title":"Remedy.API.get_gateway/0","type":"function"},{"doc":"Gets a Gateway Bot Object.","ref":"Remedy.API.html#get_gateway_bot/0","title":"Remedy.API.get_gateway_bot/0","type":"function"},{"doc":"","ref":"Remedy.API.html#get_global_application_command/1","title":"Remedy.API.get_global_application_command/1","type":"function"},{"doc":"Fetch all global commands. Parameters application_id : Application ID for which to search commands. If not given, this will be fetched from Me . Return value A list of ApplicationCommand s on success. See the official reference: https://discord.com/developers/docs/interactions/slash-commands#applicationcommand Example iex&gt; Remedy.API . get_global_application_commands { :ok , [ %{ application_id : &quot;455589479713865749&quot; } ] }","ref":"Remedy.API.html#get_global_application_commands/0","title":"Remedy.API.get_global_application_commands/0","type":"function"},{"doc":"Gets a guild. Examples iex&gt; Remedy.API . get_guild ( 81384788765712384 ) { :ok , % Remedy.Schema.Guild { id : 81384788765712384 } }","ref":"Remedy.API.html#get_guild/1","title":"Remedy.API.get_guild/1","type":"function"},{"doc":"","ref":"Remedy.API.html#get_guild_application_command/2","title":"Remedy.API.get_guild_application_command/2","type":"function"},{"doc":"","ref":"Remedy.API.html#get_guild_application_command_permissions/1","title":"Remedy.API.get_guild_application_command_permissions/1","type":"function"},{"doc":"","ref":"Remedy.API.html#get_guild_application_commands/1","title":"Remedy.API.get_guild_application_commands/1","type":"function"},{"doc":"Get an audit log. Query Options :user_id - filter the log for actions made by a user. :action_type - the type of audit log event :before - filter the log before a certain entry id :limit - how many entries are returned (default 50, minimum 1, maximum 100) Examples iex&gt; Remedy.API . get_guild_audit_log ( 872417560094732328 ) { :ok , % Remedy.Schema.AuditLog { } } iex&gt; Remedy.API . get_guild_audit_log ( 123 ) { :error , { 403 , 10004 , &quot;Unknown Guild&quot; } }","ref":"Remedy.API.html#get_guild_audit_log/2","title":"Remedy.API.get_guild_audit_log/2","type":"function"},{"doc":"Gets a ban object for the given user from a guild.","ref":"Remedy.API.html#get_guild_ban/2","title":"Remedy.API.get_guild_ban/2","type":"function"},{"doc":"Gets a list of guild channels. Examples iex&gt; Remedy.API . get_guild_channels ( 81384788765712384 ) { :ok , [ % Remedy.Schema.Channel { guild_id : 81384788765712384 } ] }","ref":"Remedy.API.html#get_guild_channels/1","title":"Remedy.API.get_guild_channels/1","type":"function"},{"doc":"Gets an emoji for the given guild and emoji ids. This endpoint requires the MANAGE_EMOJIS permission. If successful, returns {:ok, emoji} . Otherwise, returns Remedy.API.error/0 .","ref":"Remedy.API.html#get_guild_emoji/2","title":"Remedy.API.get_guild_emoji/2","type":"function"},{"doc":"Gets a list of guild integerations. Guild to get integrations for is specified by guild_id .","ref":"Remedy.API.html#get_guild_integrations/1","title":"Remedy.API.get_guild_integrations/1","type":"function"},{"doc":"Gets a guild member. Examples iex&gt; Remedy.API . get_guild_member ( 4019283754613 , 184937267485 )","ref":"Remedy.API.html#get_guild_member/2","title":"Remedy.API.get_guild_member/2","type":"function"},{"doc":"Gets the number of members that would be removed in a prune given days . This endpoint requires the KICK_MEMBERS permission. If successful, returns {:ok, %{pruned: pruned}} . Otherwise, returns a Remedy.API.error/0 . Examples iex&gt; Remedy.API . get_guild_prune_count ( 81384788765712384 , 1 ) { :ok , %{ pruned : 0 } }","ref":"Remedy.API.html#get_guild_prune_count/1","title":"Remedy.API.get_guild_prune_count/1","type":"function"},{"doc":"","ref":"Remedy.API.html#get_guild_sticker/2","title":"Remedy.API.get_guild_sticker/2","type":"function"},{"doc":"","ref":"Remedy.API.html#get_guild_template/1","title":"Remedy.API.get_guild_template/1","type":"function"},{"doc":"","ref":"Remedy.API.html#get_guild_vanity_url/1","title":"Remedy.API.get_guild_vanity_url/1","type":"function"},{"doc":"","ref":"Remedy.API.html#get_guild_welcome_screen/1","title":"Remedy.API.get_guild_welcome_screen/1","type":"function"},{"doc":"","ref":"Remedy.API.html#get_guild_widget/1","title":"Remedy.API.get_guild_widget/1","type":"function"},{"doc":"","ref":"Remedy.API.html#get_guild_widget_image/1","title":"Remedy.API.get_guild_widget_image/1","type":"function"},{"doc":"","ref":"Remedy.API.html#get_guild_widget_settings/1","title":"Remedy.API.get_guild_widget_settings/1","type":"function"},{"doc":"Gets an invite by its invite_code . If successful, returns {:ok, invite} . Otherwise, returns a Remedy.API.error/0 . Options :with_counts (boolean) - whether to include member count fields Examples iex&gt; Remedy.API . get_invite ( &quot;zsjUsC&quot; ) { :ok , % Remedy.Schema.Invite { } } iex&gt; Remedy.API . get_invite ( &quot;zsjUsC&quot; , with_counts : true ) { :ok , % Remedy.Schema.Invite { } }","ref":"Remedy.API.html#get_invite/1","title":"Remedy.API.get_invite/1","type":"function"},{"doc":"","ref":"Remedy.API.html#get_original_interaction_response/1","title":"Remedy.API.get_original_interaction_response/1","type":"function"},{"doc":"Gets all users who reacted with an emoji. This endpoint requires the VIEW_CHANNEL and READ_MESSAGE_HISTORY permissions. If successful, returns {:ok, users} . Otherwise, returns Remedy.API.error/0 . See create_reaction/3 for similar examples.","ref":"Remedy.API.html#get_reactions/3","title":"Remedy.API.get_reactions/3","type":"function"},{"doc":"","ref":"Remedy.API.html#get_stage/1","title":"Remedy.API.get_stage/1","type":"function"},{"doc":"Returns a sticker object. Examples iex&gt; Remedy.API . get_sticker ( 818599312882794506 ) { :ok , % Remedy.Schema.Sticker { } } iex&gt; Remedy.API . get_sticker ( 123 ) { :error , { 404 , 10060 , &quot;Unknown sticker&quot; } }","ref":"Remedy.API.html#get_sticker/1","title":"Remedy.API.get_sticker/1","type":"function"},{"doc":"Gets a user by its Remedy.Schema.User.id/0 . If the request is successful, this function returns {:ok, user} , where user is a Remedy.Schema.User . Otherwise, returns {:error, reason} .","ref":"Remedy.API.html#get_user/1","title":"Remedy.API.get_user/1","type":"function"},{"doc":"Gets a list of user connections.","ref":"Remedy.API.html#get_user_connections/0","title":"Remedy.API.get_user_connections/0","type":"function"},{"doc":"Gets a webhook by id. Parameters webhook_id - Id of the webhook to get.","ref":"Remedy.API.html#get_webhook/1","title":"Remedy.API.get_webhook/1","type":"function"},{"doc":"","ref":"Remedy.API.html#get_webhook_message/3","title":"Remedy.API.get_webhook_message/3","type":"function"},{"doc":"Gets a webhook by id and token. This method is exactly like get_webhook/1 but does not require authentication. Parameters webhook_id - Id of the webhook to get. webhook_token - Token of the webhook to get.","ref":"Remedy.API.html#get_webhooks_with_token/2","title":"Remedy.API.get_webhooks_with_token/2","type":"function"},{"doc":"add recipient to a group DM","ref":"Remedy.API.html#group_dm_add_recipient/2","title":"Remedy.API.group_dm_add_recipient/2","type":"function"},{"doc":"","ref":"Remedy.API.html#group_dm_remove_recipient/2","title":"Remedy.API.group_dm_remove_recipient/2","type":"function"},{"doc":"","ref":"Remedy.API.html#join_thread/1","title":"Remedy.API.join_thread/1","type":"function"},{"doc":"Leaves a guild. Guild to leave is specified by guild_id .","ref":"Remedy.API.html#leave_guild/1","title":"Remedy.API.leave_guild/1","type":"function"},{"doc":"","ref":"Remedy.API.html#leave_thread/1","title":"Remedy.API.leave_thread/1","type":"function"},{"doc":"List active threads. Note: This can be requested on both the /channels/ and the /guilds/ routes. To specify which route is used, you should pass a full %Guild{} or %Channel{} object.","ref":"Remedy.API.html#list_active_threads/1","title":"Remedy.API.list_active_threads/1","type":"function"},{"doc":"Gets a list of webook for a channel. Parameters channel_id - Channel to get webhooks for.","ref":"Remedy.API.html#list_channel_webhooks/1","title":"Remedy.API.list_channel_webhooks/1","type":"function"},{"doc":"Gets a list of users banned from a guild. Guild to get bans for is specified by guild_id .","ref":"Remedy.API.html#list_guild_bans/1","title":"Remedy.API.list_guild_bans/1","type":"function"},{"doc":"Gets a list of emojis for a given guild. This endpoint requires the MANAGE_EMOJIS permission. If successful, returns {:ok, emojis} . Otherwise, returns Remedy.API.error/0 .","ref":"Remedy.API.html#list_guild_emojis/1","title":"Remedy.API.list_guild_emojis/1","type":"function"},{"doc":"Gets a list of invites for a guild. This endpoint requires the MANAGE_GUILD permission. If successful, returns {:ok, invites} . Otherwise, returns a Remedy.API.error/0 . Examples iex&gt; Remedy.API . get_guild_invites ( 81384788765712384 ) { :ok , [ % Remedy.Schema.Invite { } ] }","ref":"Remedy.API.html#list_guild_invites/1","title":"Remedy.API.list_guild_invites/1","type":"function"},{"doc":"Gets a list of a guild's members. Options :limit (integer) - max number of members to return (1-1000) (default: 1) :after ( Remedy.Schema.User.id/0 ) - the highest user id in the previous page (default: 0) Examples iex&gt; Remedy.API . list_guild_members ( 41771983423143937 , limit : 1 )","ref":"Remedy.API.html#list_guild_members/1","title":"Remedy.API.list_guild_members/1","type":"function"},{"doc":"Gets a guild's roles. If successful, returns {:ok, roles} . Otherwise, returns a Remedy.API.error/0 . Examples iex&gt; Remedy.API . get_guild_roles ( 147362948571673 ) { :ok , [ % Remedy.Schema.Role { } ] }","ref":"Remedy.API.html#list_guild_roles/1","title":"Remedy.API.list_guild_roles/1","type":"function"},{"doc":"","ref":"Remedy.API.html#list_guild_stickers/1","title":"Remedy.API.list_guild_stickers/1","type":"function"},{"doc":"Gets a list of voice regions for the guild. Guild to get voice regions for is specified by guild_id .","ref":"Remedy.API.html#list_guild_voice_regions/1","title":"Remedy.API.list_guild_voice_regions/1","type":"function"},{"doc":"Gets a list of webooks for a guild. Parameters guild_id - Guild to get webhooks for.","ref":"Remedy.API.html#list_guild_webhooks/1","title":"Remedy.API.list_guild_webhooks/1","type":"function"},{"doc":"","ref":"Remedy.API.html#list_joined_private_archived_threads/1","title":"Remedy.API.list_joined_private_archived_threads/1","type":"function"},{"doc":"Retrieves a channel's messages. Permissions VIEW_CHANNEL READ_MESSAGE_HISTORY Options :before * :after * :around * :limit Only one may be provided. Helpers Remedy.API.list_messages_before/3 Remedy.API.list_messages_after/3 Remedy.API.list_messages_around/3 Examples iex&gt; Remedy.API . list_messages ( 872417560094732331 , [ { :before , 882781809908256789 } , { :limit , 1 } ] ) { :ok , [ % Message { id : 882681855315423292 } ] }","ref":"Remedy.API.html#list_messages/2","title":"Remedy.API.list_messages/2","type":"function"},{"doc":"List messages after a given message.","ref":"Remedy.API.html#list_messages_after/3","title":"Remedy.API.list_messages_after/3","type":"function"},{"doc":"List messages around a given message.","ref":"Remedy.API.html#list_messages_around/3","title":"Remedy.API.list_messages_around/3","type":"function"},{"doc":"List messages before a given message.","ref":"Remedy.API.html#list_messages_before/3","title":"Remedy.API.list_messages_before/3","type":"function"},{"doc":"","ref":"Remedy.API.html#list_nitro_sticker_packs/0","title":"Remedy.API.list_nitro_sticker_packs/0","type":"function"},{"doc":"Retrieves all pinned messages from a channel. Permissions 'VIEW_CHANNEL' 'READ_MESSAGE_HISTORY' Examples iex&gt; Remedy.API . get_pinned_messages ( 43189401384091 )","ref":"Remedy.API.html#list_pinned_messages/1","title":"Remedy.API.list_pinned_messages/1","type":"function"},{"doc":"","ref":"Remedy.API.html#list_private_archived_threads/1","title":"Remedy.API.list_private_archived_threads/1","type":"function"},{"doc":"","ref":"Remedy.API.html#list_public_archived_threads/1","title":"Remedy.API.list_public_archived_threads/1","type":"function"},{"doc":"","ref":"Remedy.API.html#list_thread_members/1","title":"Remedy.API.list_thread_members/1","type":"function"},{"doc":"Gets a list of voice regions.","ref":"Remedy.API.html#list_voice_regions/0","title":"Remedy.API.list_voice_regions/0","type":"function"},{"doc":"","ref":"Remedy.API.html#list_webhooks/1","title":"Remedy.API.list_webhooks/1","type":"function"},{"doc":"","ref":"Remedy.API.html#modify_application_command_permissions/2","title":"Remedy.API.modify_application_command_permissions/2","type":"function"},{"doc":"Modifies a channel's settings. Permissions MANAGE_CHANNEL Events :CHANNEL_UPDATE . Options :name (string) - 2-100 character channel name :position (integer) - the position of the channel in the left-hand listing :topic (string) ( t:Remedy.Schema.Channel.text_channel/0 only) - 0-1024 character channel topic :nsfw (boolean) ( t:Remedy.Schema.Channel.text_channel/0 only) - if the channel is nsfw :bitrate (integer) - the bitrate (in bits) of the voice channel; 8000 to 96000 (128000 for VIP servers) :user_limit (integer) - the user limit of the voice channel; 0 refers to no limit, 1 to 99 refers to a user limit :permission_overwrites (list of t:Remedy.Schema.Overwrite.t/0 or equivalent map) - channel or category-specific permissions :parent_id - id of the new parent category for a channel Examples iex&gt; Remedy.API.modify_channel(41771983423143933, name: &quot;elixir-remedy&quot;, topic: &quot;remedy discussion&quot;) {:ok, %Remedy.Schema.Channel{id: 41771983423143933, name: &quot;elixir-remedy&quot;, topic: &quot;remedy discussion&quot;}}","ref":"Remedy.API.html#modify_channel/3","title":"Remedy.API.modify_channel/3","type":"function"},{"doc":"Edit the permission overwrites for a user or role. Role or user to overwrite is specified by overwrite_id . permission_info is a map with the following keys: type - Required; member if editing a user, role if editing a role. allow - Bitwise value of allowed permissions. deny - Bitwise value of denied permissions. type - member if editing a user, role if editing a role. An optional reason can be provided for the audit log. allow and deny are defaulted to 0 , meaning that even if you don't specify them, they will override their respective former values in an existing overwrite.","ref":"Remedy.API.html#modify_channel_permissions/2","title":"Remedy.API.modify_channel_permissions/2","type":"function"},{"doc":"Changes the username or avatar of the current user. Options :username (string) - new username :avatar (string) - the user's avatar as avatar data Examples iex&gt; Remedy.API . modify_current_user ( avatar : &quot;data:image/jpeg;base64,YXl5IGJieSB1IGx1a2luIDQgc3VtIGZ1az8=&quot; ) { :ok , % Remedy.Schema.User { } }","ref":"Remedy.API.html#modify_current_user/0","title":"Remedy.API.modify_current_user/0","type":"function"},{"doc":"","ref":"Remedy.API.html#modify_current_user_voice_state/1","title":"Remedy.API.modify_current_user_voice_state/1","type":"function"},{"doc":"","ref":"Remedy.API.html#modify_followup_message/2","title":"Remedy.API.modify_followup_message/2","type":"function"},{"doc":"Update an existing global application command. The updated command will be available on all guilds in around an hour. Parameters application_id : Application ID for which to edit the command. If not given, this will be fetched from Me . command_id : The current snowflake of the command. command : Command configuration, see the linked API documentation for reference. Return value The updated command. See the official reference: https://discord.com/developers/docs/interactions/slash-commands#edit-global-application-command","ref":"Remedy.API.html#modify_global_application_command/1","title":"Remedy.API.modify_global_application_command/1","type":"function"},{"doc":"Modify a group DM. This function validates the options before passing them to Remedy.API.modify_channel/3 Events: :CHANNEL_UPDATE Examples iex&gt; Remedy.API . modify_group_dm ( 872417560094732331 , [ { :name , &quot;hello&quot; } ] , &quot;felt like it&quot; ) { :ok , % Channel { } }","ref":"Remedy.API.html#modify_group_dm/3","title":"Remedy.API.modify_group_dm/3","type":"function"},{"doc":"Modifies a guild's settings. Permissions MANAGE_GUILD Events :GUILD_UPDATE Options :name (string) - guild name :region (string) - guild voice region id :verification_level (integer) - verification level :default_message_notifications (integer) - default message notification level :explicit_content_filter (integer) - explicit content filter level :afk_channel_id - id for afk channel :afk_timeout (integer) - afk timeout in seconds :icon (base64 data URI) - 128x128 jpeg image for the guild icon :owner_id - user id to transfer guild ownership to (must be owner) :splash (base64 data URI) - 128x128 jpeg image for the guild splash (VIP only) :system_channel_id - the id of the channel to which system messages are sent :rules_channel_id - the id of the channel that is used for rules in public guilds :public_updates_channel_id - the id of the channel where admins and moderators receive notices from Discord in public guilds Examples iex&gt; Remedy.API . modify_guild ( 451824027976073216 , name : &quot;Nose Drum&quot; ) { :ok , % Remedy.Schema.Guild { id : 451824027976073216 , name : &quot;Nose Drum&quot; , ... } }","ref":"Remedy.API.html#modify_guild/1","title":"Remedy.API.modify_guild/1","type":"function"},{"doc":"","ref":"Remedy.API.html#modify_guild_application_command/2","title":"Remedy.API.modify_guild_application_command/2","type":"function"},{"doc":"Reorders a guild's channels. Permissions MANAGE_CHANNELS Events :CHANNEL_UPDATE Options positions Examples iex&gt; Remedy.API . modify_guild_channel_positions ( 279093381723062272 , [ %{ id : 351500354581692420 , position : 2 } ] ) { :ok } iex&gt; Remedy.API . modify_guild_channel_positions ( 279093381723062272 , [ %{ id : 351500354581692420 , position : 2 } ] ) { :ok }","ref":"Remedy.API.html#modify_guild_channel_positions/1","title":"Remedy.API.modify_guild_channel_positions/1","type":"function"},{"doc":"Modify the given emoji. This endpoint requires the MANAGE_EMOJIS permission. It fires a Remedy.Consumer.guild_emojis_update/0 event. An optional reason can be provided for the audit log. If successful, returns {:ok, emoji} . Otherwise, returns Remedy.API.error/0 . Options :name (string) - name of the emoji :roles - roles to which this emoji will be whitelisted Examples iex&gt; Remedy.API . modify_guild_emoji ( 43189401384091 , 4314301984301 , name : &quot;elixir&quot; , roles : [ ] ) { :ok , % Remedy.Schema.Emoji { } }","ref":"Remedy.API.html#modify_guild_emoji/2","title":"Remedy.API.modify_guild_emoji/2","type":"function"},{"doc":"Modifies a guild member's attributes. Permissions MANAGE_NICKNAMES MANAGE_ROLES MUTE_MEMBERS DEAFEN_MEMBERS MOVE_MEMBERS Events :GUILD_MEMBER_UPDATE' ## Options - :nick (string) - value to set users nickname to - :roles - array of role ids the member is assigned - :mute (boolean) - if the user is muted - :deaf (boolean) - if the user is deafened - :channel_id` - id of channel to move user to (if they are connected to voice) ## Examples iex&gt; Remedy.API.modify_guild_member(41771983423143937, 637162356451, nick: &quot;Remedy&quot;) {:ok}","ref":"Remedy.API.html#modify_guild_member/2","title":"Remedy.API.modify_guild_member/2","type":"function"},{"doc":"Modifies a guild role. This endpoint requires the MANAGE_ROLES permission. It fires a Remedy.Consumer.guild_role_update/0 event. An optional reason can be specified for the audit log. If successful, returns {:ok, role} . Otherwise, returns a Remedy.API.error/0 . Options :name (string) - name of the role :permissions (integer) - bitwise of the enabled/disabled permissions :color (integer) - RGB color value (default: 0) :hoist (boolean) - whether the role should be displayed separately in the sidebar :mentionable (boolean) - whether the role should be mentionable Examples iex&gt; Remedy.API . modify_guild_role ( 41771983423143937 , 392817238471936 , hoist : false , name : &quot;foo-bar&quot; )","ref":"Remedy.API.html#modify_guild_role/2","title":"Remedy.API.modify_guild_role/2","type":"function"},{"doc":"Reorders a guild's roles. This endpoint requires the MANAGE_ROLES permission. It fires multiple Remedy.Consumer.guild_role_update/0 events. If successful, returns {:ok, roles} . Otherwise, returns a Remedy.API.error/0 . positions is a list of maps that each map a role id with a position. Examples iex&gt; Remedy.API . modify_guild_role_positions ( 41771983423143937 , [ %{ id : 41771983423143936 , position : 2 } ] )","ref":"Remedy.API.html#modify_guild_role_positions/1","title":"Remedy.API.modify_guild_role_positions/1","type":"function"},{"doc":"","ref":"Remedy.API.html#modify_guild_sticker/2","title":"Remedy.API.modify_guild_sticker/2","type":"function"},{"doc":"","ref":"Remedy.API.html#modify_guild_template/2","title":"Remedy.API.modify_guild_template/2","type":"function"},{"doc":"","ref":"Remedy.API.html#modify_guild_welcome_screen/1","title":"Remedy.API.modify_guild_welcome_screen/1","type":"function"},{"doc":"Edits a previously sent message in a channel. Permissions VIEW_CHANNEL Events :MESSAGE_UPDATE . Options :content (string) - the message contents (up to 2000 characters) :embed ( Remedy.Schema.Embed.t/0 ) - embedded rich content Examples iex&gt; Remedy.API . modify_message ( 889614079830925352 , 1894013840914098 , content : &quot;hello world!&quot; ) { :ok } iex&gt; Remedy.API . modify_message ( 889614079830925352 , 1894013840914098 , &quot;hello world!&quot; ) { :ok }","ref":"Remedy.API.html#modify_message/2","title":"Remedy.API.modify_message/2","type":"function"},{"doc":"Modify a News Channel. This function validates the options before passing them to Remedy.API.modify_channel/3 Permissions MANAGE_CHANNELS MANAGE_ROLES (If modifying permission overwrites) Events: :CHANNEL_UPDATE Examples iex&gt; Remedy.API . modify_news_channel ( 872417560094732331 , [ { :name , &quot;hello&quot; } ] , &quot;felt like it&quot; ) { :ok , % Channel { } }","ref":"Remedy.API.html#modify_news_channel/3","title":"Remedy.API.modify_news_channel/3","type":"function"},{"doc":"Modifies the nickname of the current user in a guild. Options :nick (string) - value to set users nickname to Examples iex&gt; Remedy.API . modify_nickname ( 41771983423143937 , nick : &quot;Remedy&quot; ) { :ok , %{ nick : &quot;Remedy&quot; } } iex&gt;","ref":"Remedy.API.html#modify_nickname/2","title":"Remedy.API.modify_nickname/2","type":"function"},{"doc":"","ref":"Remedy.API.html#modify_original_interaction_response/1","title":"Remedy.API.modify_original_interaction_response/1","type":"function"},{"doc":"","ref":"Remedy.API.html#modify_stage/1","title":"Remedy.API.modify_stage/1","type":"function"},{"doc":"Modify a Text Channel. This function validates the options before passing them to Remedy.API.modify_channel/3 Permissions MANAGE_CHANNELS MANAGE_ROLES (If modifying permission overwrites) Events: :CHANNEL_UPDATE Examples iex&gt; Remedy.API.modify_group_dm(872417560094732331, [{:name, &quot;hello&quot;}], &quot;felt like it&quot;) {:ok, %Channel{}}","ref":"Remedy.API.html#modify_text_channel/3","title":"Remedy.API.modify_text_channel/3","type":"function"},{"doc":"Modify thread. This function validates the options before passing them to Remedy.API.modify_channel/3 Permissions MANAGE_THREADS SEND_MESSAGES (If modifying permission overwrites) Events: :THREAD_UPDATE Examples iex&gt; Remedy.API . modify_group_dm ( 872417560094732331 , [ { :name , &quot;hello&quot; } ] , &quot;felt like it&quot; ) { :ok , % Channel { } }","ref":"Remedy.API.html#modify_thread/3","title":"Remedy.API.modify_thread/3","type":"function"},{"doc":"","ref":"Remedy.API.html#modify_thread_test/0","title":"Remedy.API.modify_thread_test/0","type":"function"},{"doc":"","ref":"Remedy.API.html#modify_thread_test/1","title":"Remedy.API.modify_thread_test/1","type":"function"},{"doc":"","ref":"Remedy.API.html#modify_user_voice_state/2","title":"Remedy.API.modify_user_voice_state/2","type":"function"},{"doc":"Modify a Voice Channel. This function validates the options before passing them to Remedy.API.modify_channel/3 Permissions MANAGE_CHANNELS MANAGE_ROLES (If modifying permission overwrites) Events: :CHANNEL_UPDATE Examples iex&gt; Remedy.API . voice_channel ( 872417560094732331 , [ { :name , &quot;hello&quot; } ] , &quot;felt like it&quot; ) { :ok , % Channel { } }","ref":"Remedy.API.html#modify_voice_channel/3","title":"Remedy.API.modify_voice_channel/3","type":"function"},{"doc":"Modifies a webhook. Parameters webhook_id - Id of the webhook to modify. args - Map with the following optional keys: name - Name of the webhook. avatar - Base64 128x128 jpeg image for the default avatar. reason - An optional reason for the guild audit log.","ref":"Remedy.API.html#modify_webhook/1","title":"Remedy.API.modify_webhook/1","type":"function"},{"doc":"","ref":"Remedy.API.html#modify_webhook_message/3","title":"Remedy.API.modify_webhook_message/3","type":"function"},{"doc":"Modifies a webhook with a token. This method is exactly like modify_webhook/1 but does not require authentication. Parameters webhook_id - Id of the webhook to modify. webhook_token - Token of the webhook to get. args - Map with the following optional keys: name - Name of the webhook. avatar - Base64 128x128 jpeg image for the default avatar. reason - An optional reason for the guild audit log.","ref":"Remedy.API.html#modify_webhooks_with_token/2","title":"Remedy.API.modify_webhooks_with_token/2","type":"function"},{"doc":"Pins a message in a channel. Permissions 'VIEW_CHANNEL' 'READ_MESSAGE_HISTORY' 'MANAGE_MESSAGES' :MESSAGE_UPDATE :CHANNEL_PINS_UPDATE Examples iex&gt; Remedy.API . add_pinned_channel_message ( 43189401384091 , 18743893102394 )","ref":"Remedy.API.html#pin_message/2","title":"Remedy.API.pin_message/2","type":"function"},{"doc":"Publish a message in a news channel. This will propagate a message out to all followers of the channel. This is known as &quot;Crosspost Message&quot; in the Discord API.","ref":"Remedy.API.html#publish_message/1","title":"Remedy.API.publish_message/1","type":"function"},{"doc":"","ref":"Remedy.API.html#publish_message/2","title":"Remedy.API.publish_message/2","type":"function"},{"doc":"Removes a ban for a user. User to unban is specified by guild_id and user_id . An optional reason can be specified for the audit log.","ref":"Remedy.API.html#remove_guild_ban/2","title":"Remedy.API.remove_guild_ban/2","type":"function"},{"doc":"Removes a member from a guild. This event requires the KICK_MEMBERS permission. It fires a Remedy.Consumer.guild_member_remove/0 event. An optional reason can be provided for the audit log with reason . If successful, returns {:ok} . Otherwise, returns a Remedy.API.error/0 . Examples iex&gt; Remedy.API . remove_guild_member ( 1453827904102291 , 18739485766253 ) { :ok }","ref":"Remedy.API.html#remove_guild_member/2","title":"Remedy.API.remove_guild_member/2","type":"function"},{"doc":"Removes a role from a member. Role to remove is specified by role_id . User to remove role from is specified by guild_id and user_id . An optional reason can be given for the audit log.","ref":"Remedy.API.html#remove_guild_member_role/3","title":"Remedy.API.remove_guild_member_role/3","type":"function"},{"doc":"","ref":"Remedy.API.html#remove_thread_member/2","title":"Remedy.API.remove_thread_member/2","type":"function"},{"doc":"","ref":"Remedy.API.html#search_guild_members/1","title":"Remedy.API.search_guild_members/1","type":"function"},{"doc":"Starts a thread.","ref":"Remedy.API.html#start_thread_with_message/2","title":"Remedy.API.start_thread_with_message/2","type":"function"},{"doc":"","ref":"Remedy.API.html#start_thread_without_message/1","title":"Remedy.API.start_thread_without_message/1","type":"function"},{"doc":"Triggers the typing indicator.","ref":"Remedy.API.html#start_typing/1","title":"Remedy.API.start_typing/1","type":"function"},{"doc":"","ref":"Remedy.API.html#sync_guild_from_template/2","title":"Remedy.API.sync_guild_from_template/2","type":"function"},{"doc":"Unpins a message in a channel. Permissions 'VIEW_CHANNEL' 'READ_MESSAGE_HISTORY' 'MANAGE_MESSAGES' Events :MESSAGE_UPDATE :CHANNEL_PINS_UPDATE Examples iex&gt;","ref":"Remedy.API.html#unpin_message/2","title":"Remedy.API.unpin_message/2","type":"function"},{"doc":"","ref":"Remedy.API.html#t:error/0","title":"Remedy.API.error/0","type":"type"},{"doc":"","ref":"Remedy.API.html#t:limit/0","title":"Remedy.API.limit/0","type":"type"},{"doc":"","ref":"Remedy.API.html#t:locator/0","title":"Remedy.API.locator/0","type":"type"},{"doc":"","ref":"Remedy.API.html#t:opts/0","title":"Remedy.API.opts/0","type":"type"},{"doc":"","ref":"Remedy.API.html#t:reason/0","title":"Remedy.API.reason/0","type":"type"},{"doc":"","ref":"Remedy.API.html#t:snowflake/0","title":"Remedy.API.snowflake/0","type":"type"},{"doc":"Discord CDN interface. Storing images and other assets can be painful, use this module to retreive assets from the discord cdn rather than storing them. Each function takes the required parameters to directly access a resource. Format All images are returned as either a .png or a .gif if the asset is animated. This is done automatically. Size Images can be requested of a size in [16, 32, 64, 128, 256, 512, 1024, 2048, 4096] . This is given as an optional final argument to any of the functions in this module. Arguments given will be rounded to the next largest, or the largest size if you try to go over. Unless specified, discord will deliver the smallest size available. ( Potato ) Missing Endpoints: sticker team icon role icon guild member icon","ref":"Remedy.CDN.html","title":"Remedy.CDN","type":"module"},{"doc":"Returns an achievement icon url.","ref":"Remedy.CDN.html#achievement_icon/4","title":"Remedy.CDN.achievement_icon/4","type":"function"},{"doc":"Returns an application asset url.","ref":"Remedy.CDN.html#application_asset/3","title":"Remedy.CDN.application_asset/3","type":"function"},{"doc":"Returns an application cover url.","ref":"Remedy.CDN.html#application_cover/3","title":"Remedy.CDN.application_cover/3","type":"function"},{"doc":"Returns the url for the applications icon.","ref":"Remedy.CDN.html#application_icon/3","title":"Remedy.CDN.application_icon/3","type":"function"},{"doc":"Returns the url for a custom emoji.","ref":"Remedy.CDN.html#custom_emoji/2","title":"Remedy.CDN.custom_emoji/2","type":"function"},{"doc":"Returns the url for the default avatar of a user. That is, their avatar if they do not have one set, based on their discriminator. It can also take just the discriminator if you wish to do so. Examples iex&gt; Remedy.CDN . default_user_avatar ( 3 ) &quot;https://cdn.discordapp.com/embed/avatars/3.png&quot;","ref":"Remedy.CDN.html#default_user_avatar/2","title":"Remedy.CDN.default_user_avatar/2","type":"function"},{"doc":"Returns the url for a guilds banner.","ref":"Remedy.CDN.html#guild_banner/3","title":"Remedy.CDN.guild_banner/3","type":"function"},{"doc":"Returns the url for a guilds discovery splash.","ref":"Remedy.CDN.html#guild_discovery_splash/3","title":"Remedy.CDN.guild_discovery_splash/3","type":"function"},{"doc":"Returns the url for a guilds icon. Examples iex&gt; Remedy.CDN . guild_icon ( 872417560094732328 , &quot;f817c5adaf96672c94a17de8e944f427&quot; ) &quot;https://cdn.discordapp.com/icons/872417560094732328/f817c5adaf96672c94a17de8e944f427.png&quot;","ref":"Remedy.CDN.html#guild_icon/3","title":"Remedy.CDN.guild_icon/3","type":"function"},{"doc":"Returns the url for a guilds splash. Examples iex&gt; Remedy.CDN . guild_splash ( 848619361782726696 , &quot;7ed6ea26b7a5e64f78ca5df202cf4d13&quot; ) &quot;https://cdn.discordapp.com/splashes/848619361782726696/7ed6ea26b7a5e64f78ca5df202cf4d13.png&quot;","ref":"Remedy.CDN.html#guild_splash/3","title":"Remedy.CDN.guild_splash/3","type":"function"},{"doc":"Returns a sticker banner url.","ref":"Remedy.CDN.html#sticker_pack_banner/2","title":"Remedy.CDN.sticker_pack_banner/2","type":"function"},{"doc":"Returns the url for the users avatar. Examples iex&gt; Remedy.CDN . user_avatar ( 707047919332884520 , &quot;1df05ae0f21a24c377e9a1051c2b6035&quot; , 128 ) &quot;https://cdn.discordapp.com/avatars/707047919332884520/1df05ae0f21a24c377e9a1051c2b6035.png?size=128&quot;","ref":"Remedy.CDN.html#user_avatar/3","title":"Remedy.CDN.user_avatar/3","type":"function"},{"doc":"Returns the url for a users banner. Examples iex&gt; Remedy.CDN . user_banner ( 179255727561375744 , &quot;e625e858e48602248a69bcfdfa886ab4&quot; ) &quot;https://cdn.discordapp.com/banners/179255727561375744/e625e858e48602248a69bcfdfa886ab4.png&quot;","ref":"Remedy.CDN.html#user_banner/3","title":"Remedy.CDN.user_banner/3","type":"function"},{"doc":"A four digit integer assigned by discord to avoid duplicate usernames","ref":"Remedy.CDN.html#t:discriminator/0","title":"Remedy.CDN.discriminator/0","type":"type"},{"doc":"The images hash.","ref":"Remedy.CDN.html#t:hash/0","title":"Remedy.CDN.hash/0","type":"type"},{"doc":"The images size.","ref":"Remedy.CDN.html#t:size/0","title":"Remedy.CDN.size/0","type":"type"},{"doc":"The snowflake id of the resource.","ref":"Remedy.CDN.html#t:snowflake/0","title":"Remedy.CDN.snowflake/0","type":"type"},{"doc":"Functions for interracting with the cache.","ref":"Remedy.Cache.html","title":"Remedy.Cache","type":"module"},{"doc":"","ref":"Remedy.Cache.html#app/0","title":"Remedy.Cache.app/0","type":"function"},{"doc":"","ref":"Remedy.Cache.html#bot/0","title":"Remedy.Cache.bot/0","type":"function"},{"doc":"","ref":"Remedy.Cache.html#create_channel/1","title":"Remedy.Cache.create_channel/1","type":"function"},{"doc":"","ref":"Remedy.Cache.html#create_emoji/1","title":"Remedy.Cache.create_emoji/1","type":"function"},{"doc":"","ref":"Remedy.Cache.html#create_guild/1","title":"Remedy.Cache.create_guild/1","type":"function"},{"doc":"","ref":"Remedy.Cache.html#create_member/1","title":"Remedy.Cache.create_member/1","type":"function"},{"doc":"","ref":"Remedy.Cache.html#create_message/1","title":"Remedy.Cache.create_message/1","type":"function"},{"doc":"","ref":"Remedy.Cache.html#create_presence/1","title":"Remedy.Cache.create_presence/1","type":"function"},{"doc":"","ref":"Remedy.Cache.html#create_role/1","title":"Remedy.Cache.create_role/1","type":"function"},{"doc":"","ref":"Remedy.Cache.html#create_sticker/1","title":"Remedy.Cache.create_sticker/1","type":"function"},{"doc":"","ref":"Remedy.Cache.html#create_user/1","title":"Remedy.Cache.create_user/1","type":"function"},{"doc":"","ref":"Remedy.Cache.html#delete_channel/1","title":"Remedy.Cache.delete_channel/1","type":"function"},{"doc":"","ref":"Remedy.Cache.html#delete_emoji/1","title":"Remedy.Cache.delete_emoji/1","type":"function"},{"doc":"","ref":"Remedy.Cache.html#delete_guild/1","title":"Remedy.Cache.delete_guild/1","type":"function"},{"doc":"","ref":"Remedy.Cache.html#delete_member/1","title":"Remedy.Cache.delete_member/1","type":"function"},{"doc":"","ref":"Remedy.Cache.html#delete_message/1","title":"Remedy.Cache.delete_message/1","type":"function"},{"doc":"","ref":"Remedy.Cache.html#delete_presence/1","title":"Remedy.Cache.delete_presence/1","type":"function"},{"doc":"","ref":"Remedy.Cache.html#delete_role/1","title":"Remedy.Cache.delete_role/1","type":"function"},{"doc":"","ref":"Remedy.Cache.html#delete_sticker/1","title":"Remedy.Cache.delete_sticker/1","type":"function"},{"doc":"","ref":"Remedy.Cache.html#delete_user/1","title":"Remedy.Cache.delete_user/1","type":"function"},{"doc":"","ref":"Remedy.Cache.html#get_guild/1","title":"Remedy.Cache.get_guild/1","type":"function"},{"doc":"","ref":"Remedy.Cache.html#initialize_app/1","title":"Remedy.Cache.initialize_app/1","type":"function"},{"doc":"Set the initial condition of the bot.","ref":"Remedy.Cache.html#initialize_bot/1","title":"Remedy.Cache.initialize_bot/1","type":"function"},{"doc":"","ref":"Remedy.Cache.html#remove_message_reactions/1","title":"Remedy.Cache.remove_message_reactions/1","type":"function"},{"doc":"","ref":"Remedy.Cache.html#update_app/1","title":"Remedy.Cache.update_app/1","type":"function"},{"doc":"","ref":"Remedy.Cache.html#update_bot/1","title":"Remedy.Cache.update_bot/1","type":"function"},{"doc":"","ref":"Remedy.Cache.html#update_channel/1","title":"Remedy.Cache.update_channel/1","type":"function"},{"doc":"","ref":"Remedy.Cache.html#update_emoji/1","title":"Remedy.Cache.update_emoji/1","type":"function"},{"doc":"","ref":"Remedy.Cache.html#update_guild/1","title":"Remedy.Cache.update_guild/1","type":"function"},{"doc":"","ref":"Remedy.Cache.html#update_guilds/1","title":"Remedy.Cache.update_guilds/1","type":"function"},{"doc":"","ref":"Remedy.Cache.html#update_member/1","title":"Remedy.Cache.update_member/1","type":"function"},{"doc":"","ref":"Remedy.Cache.html#update_message/1","title":"Remedy.Cache.update_message/1","type":"function"},{"doc":"","ref":"Remedy.Cache.html#update_message/2","title":"Remedy.Cache.update_message/2","type":"function"},{"doc":"","ref":"Remedy.Cache.html#update_presence/1","title":"Remedy.Cache.update_presence/1","type":"function"},{"doc":"","ref":"Remedy.Cache.html#update_role/1","title":"Remedy.Cache.update_role/1","type":"function"},{"doc":"","ref":"Remedy.Cache.html#update_sticker/1","title":"Remedy.Cache.update_sticker/1","type":"function"},{"doc":"","ref":"Remedy.Cache.html#update_user/1","title":"Remedy.Cache.update_user/1","type":"function"},{"doc":"Consumer process for gateway event handling. Consuming Dispatch Events To handle events, Remedy uses a GenStage implementation. Remedy defines the producer and producer_consumer in the GenStage design. To consume the events you must create at least one consumer process. Remedy uses a ConsumerSupervisor to dispatch events, meaning your handlers will each be ran in their own seperate task. The full list of dispatch events and their inner payload is described in the type specs within this module. Regular payloads are delivered after casting to their schema and ratified against the cache. Irregular payloads are classified as those which do not directly map to a standard discord object. They undergo extensive manipulation prior to updating the cache. They are described under the DISPATCH section of the documentation. Example It is recommended that you supervise your consumers. First we set up a supervisor module for our consumers. #example_supervisor.ex defmodule MyApp.ExampleSupervisor do use Supervisor def start_link ( args ) do Supervisor . start_link ( __MODULE__ , args , name : __MODULE__ ) end @impl true def init ( _init_arg ) do children = [ ExampleConsumer ] Supervisor . init ( children , strategy : :one_for_one ) end end You can then set up your consumer module. #example_consumer.ex defmodule ExampleConsumer do use Remedy.Consumer alias Remedy.Api def start_link do Consumer . start_link ( __MODULE__ ) end def handle_event ( { :MESSAGE_CREATE , % Remedy.Schema.Message { content : content } , _ws_state } ) do case content do &quot;!sleep&quot; -&gt; Api . create_message ( msg . channel_id , &quot;Going to sleep...&quot; ) Process . sleep ( 3000 ) &quot;!ping&quot; -&gt; Api . create_message ( msg . channel_id , &quot;pyongyang!&quot; ) &quot;!raise&quot; -&gt; raise &quot;No problems here!&quot; end end def handle_event ( _event ) do :noop end end","ref":"Remedy.Consumer.html","title":"Remedy.Consumer","type":"behaviour"},{"doc":"","ref":"Remedy.Consumer.html#c:handle_event/1","title":"Remedy.Consumer.handle_event/1","type":"callback"},{"doc":"Sent when a new channel is created.","ref":"Remedy.Consumer.html#t:channel_create/0","title":"Remedy.Consumer.channel_create/0","type":"type"},{"doc":"Sent when a channel relevant to the current user is deleted.","ref":"Remedy.Consumer.html#t:channel_delete/0","title":"Remedy.Consumer.channel_delete/0","type":"type"},{"doc":"Sent when a message is pinned or unpinned in a text channel. This is not sent when a pinned message is deleted.","ref":"Remedy.Consumer.html#t:channel_pins_update/0","title":"Remedy.Consumer.channel_pins_update/0","type":"type"},{"doc":"Sent when a channel is updated. This is not sent when the field :last_message_id is altered. To keep track of the :last_message_id changes, you must listen for message_create/0 events.","ref":"Remedy.Consumer.html#t:channel_update/0","title":"Remedy.Consumer.channel_update/0","type":"type"},{"doc":"","ref":"Remedy.Consumer.html#t:event/0","title":"Remedy.Consumer.event/0","type":"type"},{"doc":"","ref":"Remedy.Consumer.html#t:guild_available/0","title":"Remedy.Consumer.guild_available/0","type":"type"},{"doc":"","ref":"Remedy.Consumer.html#t:guild_ban_add/0","title":"Remedy.Consumer.guild_ban_add/0","type":"type"},{"doc":"","ref":"Remedy.Consumer.html#t:guild_ban_remove/0","title":"Remedy.Consumer.guild_ban_remove/0","type":"type"},{"doc":"","ref":"Remedy.Consumer.html#t:guild_create/0","title":"Remedy.Consumer.guild_create/0","type":"type"},{"doc":"","ref":"Remedy.Consumer.html#t:guild_delete/0","title":"Remedy.Consumer.guild_delete/0","type":"type"},{"doc":"","ref":"Remedy.Consumer.html#t:guild_emojis_update/0","title":"Remedy.Consumer.guild_emojis_update/0","type":"type"},{"doc":"","ref":"Remedy.Consumer.html#t:guild_integrations_update/0","title":"Remedy.Consumer.guild_integrations_update/0","type":"type"},{"doc":"","ref":"Remedy.Consumer.html#t:guild_member_add/0","title":"Remedy.Consumer.guild_member_add/0","type":"type"},{"doc":"","ref":"Remedy.Consumer.html#t:guild_member_remove/0","title":"Remedy.Consumer.guild_member_remove/0","type":"type"},{"doc":"","ref":"Remedy.Consumer.html#t:guild_member_update/0","title":"Remedy.Consumer.guild_member_update/0","type":"type"},{"doc":"","ref":"Remedy.Consumer.html#t:guild_members_chunk/0","title":"Remedy.Consumer.guild_members_chunk/0","type":"type"},{"doc":"","ref":"Remedy.Consumer.html#t:guild_role_create/0","title":"Remedy.Consumer.guild_role_create/0","type":"type"},{"doc":"","ref":"Remedy.Consumer.html#t:guild_role_delete/0","title":"Remedy.Consumer.guild_role_delete/0","type":"type"},{"doc":"","ref":"Remedy.Consumer.html#t:guild_role_update/0","title":"Remedy.Consumer.guild_role_update/0","type":"type"},{"doc":"","ref":"Remedy.Consumer.html#t:guild_unavailable/0","title":"Remedy.Consumer.guild_unavailable/0","type":"type"},{"doc":"","ref":"Remedy.Consumer.html#t:guild_update/0","title":"Remedy.Consumer.guild_update/0","type":"type"},{"doc":"","ref":"Remedy.Consumer.html#t:message_ack/0","title":"Remedy.Consumer.message_ack/0","type":"type"},{"doc":"","ref":"Remedy.Consumer.html#t:message_create/0","title":"Remedy.Consumer.message_create/0","type":"type"},{"doc":"","ref":"Remedy.Consumer.html#t:message_delete/0","title":"Remedy.Consumer.message_delete/0","type":"type"},{"doc":"","ref":"Remedy.Consumer.html#t:message_delete_bulk/0","title":"Remedy.Consumer.message_delete_bulk/0","type":"type"},{"doc":"","ref":"Remedy.Consumer.html#t:message_reaction_add/0","title":"Remedy.Consumer.message_reaction_add/0","type":"type"},{"doc":"","ref":"Remedy.Consumer.html#t:message_reaction_remove/0","title":"Remedy.Consumer.message_reaction_remove/0","type":"type"},{"doc":"","ref":"Remedy.Consumer.html#t:message_reaction_remove_all/0","title":"Remedy.Consumer.message_reaction_remove_all/0","type":"type"},{"doc":"","ref":"Remedy.Consumer.html#t:message_reaction_remove_emoji/0","title":"Remedy.Consumer.message_reaction_remove_emoji/0","type":"type"},{"doc":"","ref":"Remedy.Consumer.html#t:message_update/0","title":"Remedy.Consumer.message_update/0","type":"type"},{"doc":"","ref":"Remedy.Consumer.html#t:presence_update/0","title":"Remedy.Consumer.presence_update/0","type":"type"},{"doc":"","ref":"Remedy.Consumer.html#t:ready/0","title":"Remedy.Consumer.ready/0","type":"type"},{"doc":"","ref":"Remedy.Consumer.html#t:resumed/0","title":"Remedy.Consumer.resumed/0","type":"type"},{"doc":"Sent when a thread is created or when the user is added to a thread. When being added to an existing private thread, includes a thread member object.","ref":"Remedy.Consumer.html#t:thread_create/0","title":"Remedy.Consumer.thread_create/0","type":"type"},{"doc":"Sent when a thread relevant to the current user is deleted. The inner payload is a subset of the channel object, containing just the id, guild_id, parent_id, and type fields.","ref":"Remedy.Consumer.html#t:thread_delete/0","title":"Remedy.Consumer.thread_delete/0","type":"type"},{"doc":"Sent when the current user gains access to a channel.","ref":"Remedy.Consumer.html#t:thread_list_sync/0","title":"Remedy.Consumer.thread_list_sync/0","type":"type"},{"doc":"Sent when the thread member object for the current user is updated. The inner payload is a thread member object. This event is documented for completeness, but unlikely to be used by most bots. For bots, this event largely is just a signal that you are a member of the thread. See the threads docs for more details.","ref":"Remedy.Consumer.html#t:thread_member_update/0","title":"Remedy.Consumer.thread_member_update/0","type":"type"},{"doc":"Sent when anyone is added to or removed from a thread. If the current user does not have the GUILD_MEMBERS Gateway Intent, then this event will only be sent if the current user was added to or removed from the thread.","ref":"Remedy.Consumer.html#t:thread_members_update/0","title":"Remedy.Consumer.thread_members_update/0","type":"type"},{"doc":"Sent when a thread is updated. The inner payload is a channel object. This is not sent when the field :last_message_id is altered. To keep track of the :last_message_id changes, you must listen for message_create/0 events.","ref":"Remedy.Consumer.html#t:thread_update/0","title":"Remedy.Consumer.thread_update/0","type":"type"},{"doc":"","ref":"Remedy.Consumer.html#t:typing_start/0","title":"Remedy.Consumer.typing_start/0","type":"type"},{"doc":"","ref":"Remedy.Consumer.html#t:user_update/0","title":"Remedy.Consumer.user_update/0","type":"type"},{"doc":"","ref":"Remedy.Consumer.html#t:voice_ready/0","title":"Remedy.Consumer.voice_ready/0","type":"type"},{"doc":"","ref":"Remedy.Consumer.html#t:voice_server_update/0","title":"Remedy.Consumer.voice_server_update/0","type":"type"},{"doc":"","ref":"Remedy.Consumer.html#t:voice_speaking_update/0","title":"Remedy.Consumer.voice_speaking_update/0","type":"type"},{"doc":"","ref":"Remedy.Consumer.html#t:voice_state_update/0","title":"Remedy.Consumer.voice_state_update/0","type":"type"},{"doc":"","ref":"Remedy.Consumer.html#t:webhooks_update/0","title":"Remedy.Consumer.webhooks_update/0","type":"type"},{"doc":"Exposes functions for gateway interraction.","ref":"Remedy.Gateway.html","title":"Remedy.Gateway","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"Remedy.Gateway.html#child_spec/1","title":"Remedy.Gateway.child_spec/1","type":"function"},{"doc":"Contains all the information required to maintain the gateway websocket connection to Discord. This is provided to allow the user to enact custom logic on the gateway events as they are received from the consumer. It should be noted that the websocket state consumed with an event is a 'snapshot' of the state at the time that event was received, and does not relate to the current state of the websocket.","ref":"Remedy.Gateway.WSState.html","title":"Remedy.Gateway.WSState","type":"module"},{"doc":"Gets the latency of the shard connection from a Remedy.Struct.WSState.t() struct. Returns the latency in milliseconds as an integer, returning nil if unknown.","ref":"Remedy.Gateway.WSState.html#get_shard_latency/1","title":"Remedy.Gateway.WSState.get_shard_latency/1","type":"function"},{"doc":"","ref":"Remedy.Gateway.WSState.html#t:conn/0","title":"Remedy.Gateway.WSState.conn/0","type":"type"},{"doc":"","ref":"Remedy.Gateway.WSState.html#t:gateway/0","title":"Remedy.Gateway.WSState.gateway/0","type":"type"},{"doc":"","ref":"Remedy.Gateway.WSState.html#t:gun_conn/0","title":"Remedy.Gateway.WSState.gun_conn/0","type":"type"},{"doc":"","ref":"Remedy.Gateway.WSState.html#t:gun_data_stream/0","title":"Remedy.Gateway.WSState.gun_data_stream/0","type":"type"},{"doc":"","ref":"Remedy.Gateway.WSState.html#t:heartbeat_ack/0","title":"Remedy.Gateway.WSState.heartbeat_ack/0","type":"type"},{"doc":"","ref":"Remedy.Gateway.WSState.html#t:heartbeat_interval/0","title":"Remedy.Gateway.WSState.heartbeat_interval/0","type":"type"},{"doc":"","ref":"Remedy.Gateway.WSState.html#t:heartbeat_timer/0","title":"Remedy.Gateway.WSState.heartbeat_timer/0","type":"type"},{"doc":"","ref":"Remedy.Gateway.WSState.html#t:last_heartbeat_ack/0","title":"Remedy.Gateway.WSState.last_heartbeat_ack/0","type":"type"},{"doc":"","ref":"Remedy.Gateway.WSState.html#t:last_heartbeat_send/0","title":"Remedy.Gateway.WSState.last_heartbeat_send/0","type":"type"},{"doc":"","ref":"Remedy.Gateway.WSState.html#t:payload_dispatch_event/0","title":"Remedy.Gateway.WSState.payload_dispatch_event/0","type":"type"},{"doc":"","ref":"Remedy.Gateway.WSState.html#t:payload_op_code/0","title":"Remedy.Gateway.WSState.payload_op_code/0","type":"type"},{"doc":"","ref":"Remedy.Gateway.WSState.html#t:payload_op_event/0","title":"Remedy.Gateway.WSState.payload_op_event/0","type":"type"},{"doc":"","ref":"Remedy.Gateway.WSState.html#t:payload_sequence/0","title":"Remedy.Gateway.WSState.payload_sequence/0","type":"type"},{"doc":"","ref":"Remedy.Gateway.WSState.html#t:session_id/0","title":"Remedy.Gateway.WSState.session_id/0","type":"type"},{"doc":"","ref":"Remedy.Gateway.WSState.html#t:shard/0","title":"Remedy.Gateway.WSState.shard/0","type":"type"},{"doc":"","ref":"Remedy.Gateway.WSState.html#t:shard_pid/0","title":"Remedy.Gateway.WSState.shard_pid/0","type":"type"},{"doc":"","ref":"Remedy.Gateway.WSState.html#t:t/0","title":"Remedy.Gateway.WSState.t/0","type":"type"},{"doc":"","ref":"Remedy.Gateway.WSState.html#t:token/0","title":"Remedy.Gateway.WSState.token/0","type":"type"},{"doc":"","ref":"Remedy.Gateway.WSState.html#t:zlib_context/0","title":"Remedy.Gateway.WSState.zlib_context/0","type":"type"},{"doc":"Schema sets out all of the objects and types used within the Discord API. The unfortunate reason that this is required is because Discord is unreliable at delivering particular types. For example, :id can be returned as either an integer or a string. This is no use to man nor beast. It is not recommended to use this behaviour within your application. Instead you can import or alias the particular schema directly, or the whole schema module, for example: alias Remedy.Schema.Member Which would make an individual resource available as %Member{} . alias Remedy.Schema , as : Discord Which would make all of the schema available as %Discord.Guild{} . Helper Functions Should you be looking for help manipulating any of the individual Schema, helper functions exist within the particular modules Callbacks While the callbacks within this module primarily exist for internal use only. They can be invoked to manually validate certain structs before sending them to Discord through the Remedy.API module.","ref":"Remedy.Schema.html","title":"Remedy.Schema","type":"behaviour"},{"doc":"","ref":"Remedy.Schema.html#c:new/1","title":"Remedy.Schema.new/1","type":"callback"},{"doc":"","ref":"Remedy.Schema.html#c:update/2","title":"Remedy.Schema.update/2","type":"callback"},{"doc":"","ref":"Remedy.Schema.html#c:validate/1","title":"Remedy.Schema.validate/1","type":"callback"},{"doc":"Discord Activity Object","ref":"Remedy.Schema.Activity.html","title":"Remedy.Schema.Activity","type":"module"},{"doc":"","ref":"Remedy.Schema.Activity.html#changeset/1","title":"Remedy.Schema.Activity.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Activity.html#changeset/2","title":"Remedy.Schema.Activity.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.Activity.html#new/1","title":"Remedy.Schema.Activity.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Activity.html#validate/1","title":"Remedy.Schema.Activity.validate/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Activity.html#t:t/0","title":"Remedy.Schema.Activity.t/0","type":"type"},{"doc":"Discord Application Object","ref":"Remedy.Schema.App.html","title":"Remedy.Schema.App","type":"module"},{"doc":"","ref":"Remedy.Schema.App.html#changeset/1","title":"Remedy.Schema.App.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.App.html#changeset/2","title":"Remedy.Schema.App.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.App.html#new/1","title":"Remedy.Schema.App.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.App.html#update/2","title":"Remedy.Schema.App.update/2","type":"function"},{"doc":"","ref":"Remedy.Schema.App.html#t:bot_public/0","title":"Remedy.Schema.App.bot_public/0","type":"type"},{"doc":"","ref":"Remedy.Schema.App.html#t:bot_require_code_grant/0","title":"Remedy.Schema.App.bot_require_code_grant/0","type":"type"},{"doc":"","ref":"Remedy.Schema.App.html#t:cover_image/0","title":"Remedy.Schema.App.cover_image/0","type":"type"},{"doc":"","ref":"Remedy.Schema.App.html#t:description/0","title":"Remedy.Schema.App.description/0","type":"type"},{"doc":"","ref":"Remedy.Schema.App.html#t:flags/0","title":"Remedy.Schema.App.flags/0","type":"type"},{"doc":"","ref":"Remedy.Schema.App.html#t:guild_id/0","title":"Remedy.Schema.App.guild_id/0","type":"type"},{"doc":"","ref":"Remedy.Schema.App.html#t:hook/0","title":"Remedy.Schema.App.hook/0","type":"type"},{"doc":"","ref":"Remedy.Schema.App.html#t:icon/0","title":"Remedy.Schema.App.icon/0","type":"type"},{"doc":"","ref":"Remedy.Schema.App.html#t:name/0","title":"Remedy.Schema.App.name/0","type":"type"},{"doc":"","ref":"Remedy.Schema.App.html#t:owner/0","title":"Remedy.Schema.App.owner/0","type":"type"},{"doc":"","ref":"Remedy.Schema.App.html#t:primary_sku_id/0","title":"Remedy.Schema.App.primary_sku_id/0","type":"type"},{"doc":"","ref":"Remedy.Schema.App.html#t:privacy_policy_url/0","title":"Remedy.Schema.App.privacy_policy_url/0","type":"type"},{"doc":"","ref":"Remedy.Schema.App.html#t:rpc_origins/0","title":"Remedy.Schema.App.rpc_origins/0","type":"type"},{"doc":"","ref":"Remedy.Schema.App.html#t:slug/0","title":"Remedy.Schema.App.slug/0","type":"type"},{"doc":"","ref":"Remedy.Schema.App.html#t:summary/0","title":"Remedy.Schema.App.summary/0","type":"type"},{"doc":"","ref":"Remedy.Schema.App.html#t:t/0","title":"Remedy.Schema.App.t/0","type":"type"},{"doc":"","ref":"Remedy.Schema.App.html#t:team/0","title":"Remedy.Schema.App.team/0","type":"type"},{"doc":"","ref":"Remedy.Schema.App.html#t:terms_of_service_url/0","title":"Remedy.Schema.App.terms_of_service_url/0","type":"type"},{"doc":"","ref":"Remedy.Schema.App.html#t:verify_key/0","title":"Remedy.Schema.App.verify_key/0","type":"type"},{"doc":"Application Webhook","ref":"Remedy.Schema.ApplicationWebhook.html","title":"Remedy.Schema.ApplicationWebhook","type":"module"},{"doc":"","ref":"Remedy.Schema.ApplicationWebhook.html#changeset/1","title":"Remedy.Schema.ApplicationWebhook.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.ApplicationWebhook.html#changeset/2","title":"Remedy.Schema.ApplicationWebhook.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.ApplicationWebhook.html#new/1","title":"Remedy.Schema.ApplicationWebhook.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.ApplicationWebhook.html#validate/1","title":"Remedy.Schema.ApplicationWebhook.validate/1","type":"function"},{"doc":"","ref":"Remedy.Schema.ApplicationWebhook.html#t:application/0","title":"Remedy.Schema.ApplicationWebhook.application/0","type":"type"},{"doc":"","ref":"Remedy.Schema.ApplicationWebhook.html#t:avatar/0","title":"Remedy.Schema.ApplicationWebhook.avatar/0","type":"type"},{"doc":"","ref":"Remedy.Schema.ApplicationWebhook.html#t:name/0","title":"Remedy.Schema.ApplicationWebhook.name/0","type":"type"},{"doc":"","ref":"Remedy.Schema.ApplicationWebhook.html#t:t/0","title":"Remedy.Schema.ApplicationWebhook.t/0","type":"type"},{"doc":"","ref":"Remedy.Schema.ApplicationWebhook.html#t:type/0","title":"Remedy.Schema.ApplicationWebhook.type/0","type":"type"},{"doc":"Discord Attachment Object","ref":"Remedy.Schema.Attachment.html","title":"Remedy.Schema.Attachment","type":"module"},{"doc":"","ref":"Remedy.Schema.Attachment.html#changeset/1","title":"Remedy.Schema.Attachment.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Attachment.html#changeset/2","title":"Remedy.Schema.Attachment.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.Attachment.html#new/1","title":"Remedy.Schema.Attachment.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Attachment.html#validate/1","title":"Remedy.Schema.Attachment.validate/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Attachment.html#t:t/0","title":"Remedy.Schema.Attachment.t/0","type":"type"},{"doc":"Discord Audit Log Object","ref":"Remedy.Schema.AuditLog.html","title":"Remedy.Schema.AuditLog","type":"module"},{"doc":"","ref":"Remedy.Schema.AuditLog.html#changeset/1","title":"Remedy.Schema.AuditLog.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.AuditLog.html#changeset/2","title":"Remedy.Schema.AuditLog.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.AuditLog.html#new/1","title":"Remedy.Schema.AuditLog.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.AuditLog.html#update/2","title":"Remedy.Schema.AuditLog.update/2","type":"function"},{"doc":"","ref":"Remedy.Schema.AuditLog.html#t:t/0","title":"Remedy.Schema.AuditLog.t/0","type":"type"},{"doc":"Discord Audit Log Entry Object","ref":"Remedy.Schema.AuditLogEntry.html","title":"Remedy.Schema.AuditLogEntry","type":"module"},{"doc":"","ref":"Remedy.Schema.AuditLogEntry.html#changeset/1","title":"Remedy.Schema.AuditLogEntry.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.AuditLogEntry.html#changeset/2","title":"Remedy.Schema.AuditLogEntry.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.AuditLogEntry.html#new/1","title":"Remedy.Schema.AuditLogEntry.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.AuditLogEntry.html#t:t/0","title":"Remedy.Schema.AuditLogEntry.t/0","type":"type"},{"doc":"Discord Audit Log Option Object","ref":"Remedy.Schema.AuditLogOption.html","title":"Remedy.Schema.AuditLogOption","type":"module"},{"doc":"","ref":"Remedy.Schema.AuditLogOption.html#changeset/1","title":"Remedy.Schema.AuditLogOption.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.AuditLogOption.html#changeset/2","title":"Remedy.Schema.AuditLogOption.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.AuditLogOption.html#new/1","title":"Remedy.Schema.AuditLogOption.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.AuditLogOption.html#t:t/0","title":"Remedy.Schema.AuditLogOption.t/0","type":"type"},{"doc":"Discord Ban Object","ref":"Remedy.Schema.Ban.html","title":"Remedy.Schema.Ban","type":"module"},{"doc":"","ref":"Remedy.Schema.Ban.html#changeset/1","title":"Remedy.Schema.Ban.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Ban.html#changeset/2","title":"Remedy.Schema.Ban.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.Ban.html#new/1","title":"Remedy.Schema.Ban.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Ban.html#validate/1","title":"Remedy.Schema.Ban.validate/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Ban.html#t:t/0","title":"Remedy.Schema.Ban.t/0","type":"type"},{"doc":"Discord Channel Object","ref":"Remedy.Schema.Channel.html","title":"Remedy.Schema.Channel","type":"module"},{"doc":"","ref":"Remedy.Schema.Channel.html#changeset/1","title":"Remedy.Schema.Channel.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Channel.html#changeset/2","title":"Remedy.Schema.Channel.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.Channel.html#new/1","title":"Remedy.Schema.Channel.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Channel.html#validate/1","title":"Remedy.Schema.Channel.validate/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Channel.html#t:t/0","title":"Remedy.Schema.Channel.t/0","type":"type"},{"doc":"Discord Client Status Object","ref":"Remedy.Schema.ClientStatus.html","title":"Remedy.Schema.ClientStatus","type":"module"},{"doc":"","ref":"Remedy.Schema.ClientStatus.html#changeset/1","title":"Remedy.Schema.ClientStatus.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.ClientStatus.html#changeset/2","title":"Remedy.Schema.ClientStatus.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.ClientStatus.html#new/1","title":"Remedy.Schema.ClientStatus.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.ClientStatus.html#validate/1","title":"Remedy.Schema.ClientStatus.validate/1","type":"function"},{"doc":"","ref":"Remedy.Schema.ClientStatus.html#t:t/0","title":"Remedy.Schema.ClientStatus.t/0","type":"type"},{"doc":"Discord Command Object","ref":"Remedy.Schema.Command.html","title":"Remedy.Schema.Command","type":"module"},{"doc":"","ref":"Remedy.Schema.Command.html#changeset/1","title":"Remedy.Schema.Command.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Command.html#changeset/2","title":"Remedy.Schema.Command.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.Command.html#new/1","title":"Remedy.Schema.Command.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Command.html#validate/1","title":"Remedy.Schema.Command.validate/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Command.html#t:t/0","title":"Remedy.Schema.Command.t/0","type":"type"},{"doc":"Components are a framework for adding interactive elements to the messages your app or bot sends. They're accessible, customizable, and easy to use. There are several different types of components; this documentation will outline the basics of this new framework and each example.+ Components have been broken out into individual modules for easy distinction between them and to separate helper functions and individual type checking between component types - especially as more components are added by Discord. Each of the components are provided all of the valid types through this module to avoid repetition and allow new components to be added quicker and easier. Action Row An Action Row is a non-interactive container component for other types of components. It has a type: 1 and a sub-array of components of other types. You can have up to 5 Action Rows per message An Action Row cannot contain another Action Row An Action Row containing buttons cannot also contain a select menu Buttons Buttons are interactive components that render on messages. They have a type: 2 , They can be clicked by users. Buttons in Nostrum are further separated into two types, detailed below. Only the Interaction Button will fire a Nostrum.Struct.Interaction when pressed. Buttons must exist inside an Action Row An Action Row can contain up to 5 buttons An Action Row containing buttons cannot also contain a select menu For more information check out the Discord API Button Styles for more information. Link Buttons Link buttons do not send an interaction to your app when clicked Link buttons must have a url , and cannot have a custom_id Link buttons will always use style: 5 Link style: 5 Interaction Buttons ( Non-link Buttons ) Discord calls these buttons &quot;Non-link Buttons&quot; due to the fact that they do not contain a url. However it would be more accurate to call them an &quot;Interaction Button&quot; as they do fire an interaction when clicked which is far more useful for your applications interactivity. As such they are referred to as &quot;Interaction Button&quot; throughout the rest of this module. Interaction buttons must have a custom_id , and cannot have a url Can have one of the below :style applied. Primary style: 1 Secondary style: 2 Success style: 3 Danger style: 4 🐼 Emoji Buttons Note: The discord documentation and marketing material in relation to buttons indicates that there are three kinds of buttons: 🐼 Emoji Buttons , Link Buttons &amp; Non-Link Buttons . When in fact all buttons can contain an emoji. Because of this reason 🐼 Emoji Buttons are not included as a seperate type. Emojis will be instead handled by the two included ( superior ) button types. The field requirements are already becoming convoluted especially considering everything so far is all still a &quot;Component&quot;. Using the sub types and helper functions will ensure all of the rules are followed when creating components. Select Menu Select menus are another interactive component that renders on messages. On desktop, clicking on a select menu opens a dropdown-style UI; on mobile, tapping a select menu opens up a half-sheet with the options. Select menus support single-select and multi-select behavior, meaning you can prompt a user to choose just one item from a list, or multiple. When a user finishes making their choice by clicking out of the dropdown or closing the half-sheet, your app will receive an interaction. Select menus must be sent inside an Action Row An Action Row can contain only one select menu An Action Row containing a select menu cannot also contain buttons","ref":"Remedy.Schema.Component.html","title":"Remedy.Schema.Component","type":"behaviour"},{"doc":"","ref":"Remedy.Schema.Component.html#changeset/1","title":"Remedy.Schema.Component.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Component.html#changeset/2","title":"Remedy.Schema.Component.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.Component.html#new/1","title":"Remedy.Schema.Component.new/1","type":"function"},{"doc":"Create a component from the given keyword list of options Note: While using this function directly, you are not guaranteed to produce a valid component and it is the responsibility of the user to ensure they are passing a valid combination of component attributes. eg. if you pass a button component both a custom_id , and a url , the component is invalid as only one of these fields is allowed.","ref":"Remedy.Schema.Component.html#c:new/1","title":"Remedy.Schema.Component.new/1","type":"callback"},{"doc":"Updates a component with the parameters provided. Note: While using this function directly, you are not guaranteed to produce a valid component and it is the responsibility of the user to ensure they are passing a valid combination of component attributes. eg. if you pass a button component both a custom_id , and a url , the component is invalid as only one of these fields is allowed.","ref":"Remedy.Schema.Component.html#c:update/2","title":"Remedy.Schema.Component.update/2","type":"callback"},{"doc":"","ref":"Remedy.Schema.Component.html#validate/1","title":"Remedy.Schema.Component.validate/1","type":"function"},{"doc":"A list of components to place inside an action row. Due to constraints of action rows, this can either be a list of up to five buttons, or a single select menu. Valid for Action Row .","ref":"Remedy.Schema.Component.html#t:components/0","title":"Remedy.Schema.Component.components/0","type":"type"},{"doc":"Used to identify the command when the interraction is sent to you from the user. Valid for Interaction Buttons &amp; Select Menus .","ref":"Remedy.Schema.Component.html#t:custom_id/0","title":"Remedy.Schema.Component.custom_id/0","type":"type"},{"doc":"Indicates if the component is disabled or not. Valid for Buttons &amp; Select Menus .","ref":"Remedy.Schema.Component.html#t:disabled/0","title":"Remedy.Schema.Component.disabled/0","type":"type"},{"doc":"A partial emoji to display on the object. Valid for Buttons","ref":"Remedy.Schema.Component.html#t:emoji/0","title":"Remedy.Schema.Component.emoji/0","type":"type"},{"doc":"A string that appears on the button, max 80 characters. Valid for Buttons","ref":"Remedy.Schema.Component.html#t:label/0","title":"Remedy.Schema.Component.label/0","type":"type"},{"doc":"The maximum number of permitted selections. Minimum value 0, max 25. Valid for Select Menus .","ref":"Remedy.Schema.Component.html#t:max_values/0","title":"Remedy.Schema.Component.max_values/0","type":"type"},{"doc":"The minimum number of permitted selections. Minimum value 0, max 25. Valid for Select Menus .","ref":"Remedy.Schema.Component.html#t:min_values/0","title":"Remedy.Schema.Component.min_values/0","type":"type"},{"doc":"A list of options for select menus, max 25. Valid for Select Menus .","ref":"Remedy.Schema.Component.html#t:options/0","title":"Remedy.Schema.Component.options/0","type":"type"},{"doc":"Placeholder text if nothing is selected, max 100 characters Valid for Select Menus .","ref":"Remedy.Schema.Component.html#t:placeholder/0","title":"Remedy.Schema.Component.placeholder/0","type":"type"},{"doc":"Indicates the style. Valid for Valid for Interaction Buttons only,","ref":"Remedy.Schema.Component.html#t:style/0","title":"Remedy.Schema.Component.style/0","type":"type"},{"doc":"The currently valid component types.","ref":"Remedy.Schema.Component.html#t:t/0","title":"Remedy.Schema.Component.t/0","type":"type"},{"doc":"The type of component. Valid for All Types. | | Component Types | |------|-----| | 1 | Action Row | | 2 | Button | | 3 | SelectMenu | Check out the Discord API Message Component Types for more information.","ref":"Remedy.Schema.Component.html#t:type/0","title":"Remedy.Schema.Component.type/0","type":"type"},{"doc":"A url for link buttons. Valid for: Buttons","ref":"Remedy.Schema.Component.html#t:url/0","title":"Remedy.Schema.Component.url/0","type":"type"},{"doc":"Action Rows.","ref":"Remedy.Schema.Component.ActionRow.html","title":"Remedy.Schema.Component.ActionRow","type":"module"},{"doc":"Create an empty action row. Options can be passed as a keyword list. The only supported option is a list of inner components","ref":"Remedy.Schema.Component.ActionRow.html#action_row/1","title":"Remedy.Schema.Component.ActionRow.action_row/1","type":"function"},{"doc":"Appends a button to the action row. Returns the action row unchanged if there are already 5 buttons or if the action row contains a select menu.","ref":"Remedy.Schema.Component.ActionRow.html#append/2","title":"Remedy.Schema.Component.ActionRow.append/2","type":"function"},{"doc":"Lazily appends a button to the action row. If there are already 5 buttons, the first one will be dropped.","ref":"Remedy.Schema.Component.ActionRow.html#append_lazy/2","title":"Remedy.Schema.Component.ActionRow.append_lazy/2","type":"function"},{"doc":"","ref":"Remedy.Schema.Component.ActionRow.html#flatten/1","title":"Remedy.Schema.Component.ActionRow.flatten/1","type":"function"},{"doc":"Puts the given component into the action row, any existing components are disgarded.","ref":"Remedy.Schema.Component.ActionRow.html#put/2","title":"Remedy.Schema.Component.ActionRow.put/2","type":"function"},{"doc":"Puts the components into the action row unless a list of inner components already exists.","ref":"Remedy.Schema.Component.ActionRow.html#put_new/2","title":"Remedy.Schema.Component.ActionRow.put_new/2","type":"function"},{"doc":"","ref":"Remedy.Schema.Component.ActionRow.html#t:t/0","title":"Remedy.Schema.Component.ActionRow.t/0","type":"type"},{"doc":"Helpers for dealing with Button Components","ref":"Remedy.Schema.Component.Button.html","title":"Remedy.Schema.Component.Button","type":"module"},{"doc":"Create a button. This function provides direct access to the new/1 callback. Note: While using this function directly you are not guaranteed to return a valid button, providing a valid combination of options becomes the responsibility of the reader. It is instead recommended to use the helper functions provided below.","ref":"Remedy.Schema.Component.Button.html#button/1","title":"Remedy.Schema.Component.Button.button/1","type":"function"},{"doc":"Disables the button.","ref":"Remedy.Schema.Component.Button.html#disable/1","title":"Remedy.Schema.Component.Button.disable/1","type":"function"},{"doc":"Enables the button.","ref":"Remedy.Schema.Component.Button.html#enable/1","title":"Remedy.Schema.Component.Button.enable/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Component.Button.html#flatten/1","title":"Remedy.Schema.Component.Button.flatten/1","type":"function"},{"doc":"Create an interaction button. Read more about interaction buttons in the Nostrum.Struct.Component documentation.","ref":"Remedy.Schema.Component.Button.html#interaction_button/3","title":"Remedy.Schema.Component.Button.interaction_button/3","type":"function"},{"doc":"Create a link button. Read more about link buttons in the Nostrum.Struct.Component documentation.","ref":"Remedy.Schema.Component.Button.html#link_button/3","title":"Remedy.Schema.Component.Button.link_button/3","type":"function"},{"doc":"Changes the style of the button.","ref":"Remedy.Schema.Component.Button.html#put_style/2","title":"Remedy.Schema.Component.Button.put_style/2","type":"function"},{"doc":"Toggle the buttons disabled state.","ref":"Remedy.Schema.Component.Button.html#toggle/1","title":"Remedy.Schema.Component.Button.toggle/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Component.Button.html#t:interaction_button/0","title":"Remedy.Schema.Component.Button.interaction_button/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Component.Button.html#t:link_button/0","title":"Remedy.Schema.Component.Button.link_button/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Component.Button.html#t:opt/0","title":"Remedy.Schema.Component.Button.opt/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Component.Button.html#t:opts/0","title":"Remedy.Schema.Component.Button.opts/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Component.Button.html#t:t/0","title":"Remedy.Schema.Component.Button.t/0","type":"type"},{"doc":"Select Menu","ref":"Remedy.Schema.Component.SelectMenu.html","title":"Remedy.Schema.Component.SelectMenu","type":"module"},{"doc":"","ref":"Remedy.Schema.Component.SelectMenu.html#flatten/1","title":"Remedy.Schema.Component.SelectMenu.flatten/1","type":"function"},{"doc":"Creates a select menu that can be used inside an action row. Options can be passed as a keyword list. Parameters custom_id - lower case string, used for matching against when your application receives an interaction. Options disabled - If the select should be disabled options - A list of options for the select menu, see Nostrum.Struct.Component.Option placeholder - Value to be shown before anything is selected min_values - minimum number of values the user must select, between 0 and 25, default is 1 max_values - maximum number of values the user must select, between 0 and 25, default is 1","ref":"Remedy.Schema.Component.SelectMenu.html#select_menu/2","title":"Remedy.Schema.Component.SelectMenu.select_menu/2","type":"function"},{"doc":"","ref":"Remedy.Schema.Component.SelectMenu.html#t:opt/0","title":"Remedy.Schema.Component.SelectMenu.opt/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Component.SelectMenu.html#t:opts/0","title":"Remedy.Schema.Component.SelectMenu.opts/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Component.SelectMenu.html#t:t/0","title":"Remedy.Schema.Component.SelectMenu.t/0","type":"type"},{"doc":"Component Options","ref":"Remedy.Schema.ComponentOption.html","title":"Remedy.Schema.ComponentOption","type":"module"},{"doc":"","ref":"Remedy.Schema.ComponentOption.html#changeset/1","title":"Remedy.Schema.ComponentOption.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.ComponentOption.html#changeset/2","title":"Remedy.Schema.ComponentOption.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.ComponentOption.html#new/1","title":"Remedy.Schema.ComponentOption.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.ComponentOption.html#validate/1","title":"Remedy.Schema.ComponentOption.validate/1","type":"function"},{"doc":"","ref":"Remedy.Schema.ComponentOption.html#t:default/0","title":"Remedy.Schema.ComponentOption.default/0","type":"type"},{"doc":"","ref":"Remedy.Schema.ComponentOption.html#t:description/0","title":"Remedy.Schema.ComponentOption.description/0","type":"type"},{"doc":"","ref":"Remedy.Schema.ComponentOption.html#t:emoji/0","title":"Remedy.Schema.ComponentOption.emoji/0","type":"type"},{"doc":"","ref":"Remedy.Schema.ComponentOption.html#t:label/0","title":"Remedy.Schema.ComponentOption.label/0","type":"type"},{"doc":"","ref":"Remedy.Schema.ComponentOption.html#t:t/0","title":"Remedy.Schema.ComponentOption.t/0","type":"type"},{"doc":"","ref":"Remedy.Schema.ComponentOption.html#t:value/0","title":"Remedy.Schema.ComponentOption.value/0","type":"type"},{"doc":"Discord Embed Object","ref":"Remedy.Schema.Embed.html","title":"Remedy.Schema.Embed","type":"module"},{"doc":"","ref":"Remedy.Schema.Embed.html#t:author/0","title":"Remedy.Schema.Embed.author/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Embed.html#t:color/0","title":"Remedy.Schema.Embed.color/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Embed.html#t:description/0","title":"Remedy.Schema.Embed.description/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Embed.html#t:fields/0","title":"Remedy.Schema.Embed.fields/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Embed.html#t:footer/0","title":"Remedy.Schema.Embed.footer/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Embed.html#t:image/0","title":"Remedy.Schema.Embed.image/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Embed.html#t:provider/0","title":"Remedy.Schema.Embed.provider/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Embed.html#t:t/0","title":"Remedy.Schema.Embed.t/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Embed.html#t:thumbnail/0","title":"Remedy.Schema.Embed.thumbnail/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Embed.html#t:timestamp/0","title":"Remedy.Schema.Embed.timestamp/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Embed.html#t:title/0","title":"Remedy.Schema.Embed.title/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Embed.html#t:type/0","title":"Remedy.Schema.Embed.type/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Embed.html#t:url/0","title":"Remedy.Schema.Embed.url/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Embed.html#t:video/0","title":"Remedy.Schema.Embed.video/0","type":"type"},{"doc":"Discord Embed Author Object","ref":"Remedy.Schema.EmbedAuthor.html","title":"Remedy.Schema.EmbedAuthor","type":"module"},{"doc":"","ref":"Remedy.Schema.EmbedAuthor.html#changeset/1","title":"Remedy.Schema.EmbedAuthor.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.EmbedAuthor.html#changeset/2","title":"Remedy.Schema.EmbedAuthor.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.EmbedAuthor.html#new/1","title":"Remedy.Schema.EmbedAuthor.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.EmbedAuthor.html#validate/1","title":"Remedy.Schema.EmbedAuthor.validate/1","type":"function"},{"doc":"","ref":"Remedy.Schema.EmbedAuthor.html#t:t/0","title":"Remedy.Schema.EmbedAuthor.t/0","type":"type"},{"doc":"Discord Embed Field Object","ref":"Remedy.Schema.EmbedField.html","title":"Remedy.Schema.EmbedField","type":"module"},{"doc":"","ref":"Remedy.Schema.EmbedField.html#changeset/1","title":"Remedy.Schema.EmbedField.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.EmbedField.html#changeset/2","title":"Remedy.Schema.EmbedField.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.EmbedField.html#new/1","title":"Remedy.Schema.EmbedField.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.EmbedField.html#validate/1","title":"Remedy.Schema.EmbedField.validate/1","type":"function"},{"doc":"","ref":"Remedy.Schema.EmbedField.html#t:t/0","title":"Remedy.Schema.EmbedField.t/0","type":"type"},{"doc":"Discord Embed Footer Object","ref":"Remedy.Schema.EmbedFooter.html","title":"Remedy.Schema.EmbedFooter","type":"module"},{"doc":"","ref":"Remedy.Schema.EmbedFooter.html#changeset/1","title":"Remedy.Schema.EmbedFooter.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.EmbedFooter.html#changeset/2","title":"Remedy.Schema.EmbedFooter.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.EmbedFooter.html#new/1","title":"Remedy.Schema.EmbedFooter.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.EmbedFooter.html#validate/1","title":"Remedy.Schema.EmbedFooter.validate/1","type":"function"},{"doc":"","ref":"Remedy.Schema.EmbedFooter.html#t:t/0","title":"Remedy.Schema.EmbedFooter.t/0","type":"type"},{"doc":"Discord Embed Image Object","ref":"Remedy.Schema.EmbedImage.html","title":"Remedy.Schema.EmbedImage","type":"module"},{"doc":"","ref":"Remedy.Schema.EmbedImage.html#changeset/1","title":"Remedy.Schema.EmbedImage.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.EmbedImage.html#changeset/2","title":"Remedy.Schema.EmbedImage.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.EmbedImage.html#new/1","title":"Remedy.Schema.EmbedImage.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.EmbedImage.html#validate/1","title":"Remedy.Schema.EmbedImage.validate/1","type":"function"},{"doc":"","ref":"Remedy.Schema.EmbedImage.html#t:t/0","title":"Remedy.Schema.EmbedImage.t/0","type":"type"},{"doc":"Discord Embed Provider Object","ref":"Remedy.Schema.EmbedProvider.html","title":"Remedy.Schema.EmbedProvider","type":"module"},{"doc":"","ref":"Remedy.Schema.EmbedProvider.html#changeset/1","title":"Remedy.Schema.EmbedProvider.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.EmbedProvider.html#changeset/2","title":"Remedy.Schema.EmbedProvider.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.EmbedProvider.html#new/1","title":"Remedy.Schema.EmbedProvider.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.EmbedProvider.html#validate/1","title":"Remedy.Schema.EmbedProvider.validate/1","type":"function"},{"doc":"","ref":"Remedy.Schema.EmbedProvider.html#t:t/0","title":"Remedy.Schema.EmbedProvider.t/0","type":"type"},{"doc":"Discord Embed Thumbnail Object","ref":"Remedy.Schema.EmbedThumbnail.html","title":"Remedy.Schema.EmbedThumbnail","type":"module"},{"doc":"","ref":"Remedy.Schema.EmbedThumbnail.html#changeset/1","title":"Remedy.Schema.EmbedThumbnail.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.EmbedThumbnail.html#changeset/2","title":"Remedy.Schema.EmbedThumbnail.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.EmbedThumbnail.html#new/1","title":"Remedy.Schema.EmbedThumbnail.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.EmbedThumbnail.html#validate/1","title":"Remedy.Schema.EmbedThumbnail.validate/1","type":"function"},{"doc":"","ref":"Remedy.Schema.EmbedThumbnail.html#t:t/0","title":"Remedy.Schema.EmbedThumbnail.t/0","type":"type"},{"doc":"Discord Emoji Object","ref":"Remedy.Schema.Emoji.html","title":"Remedy.Schema.Emoji","type":"module"},{"doc":"Formats an emoji struct into its t:Remedy.Struct.Emoji.api_name/0 . Examples iex&gt; emoji = % Remedy.Struct.Emoji { name : &quot;Γ¡É&quot; } ...&gt; Remedy.Struct.Emoji . api_name ( emoji ) &quot;Γ¡É&quot; iex&gt; emoji = % Remedy.Struct.Emoji { id : 437093487582642177 , name : &quot;foxbot&quot; } ...&gt; Remedy.Struct.Emoji . api_name ( emoji ) &quot;foxbot:437093487582642177&quot;","ref":"Remedy.Schema.Emoji.html#api_name/1","title":"Remedy.Schema.Emoji.api_name/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Emoji.html#changeset/1","title":"Remedy.Schema.Emoji.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Emoji.html#changeset/2","title":"Remedy.Schema.Emoji.changeset/2","type":"function"},{"doc":"Returns the url of a custom emoji's image. If the emoji is not a custom one, returns nil . Examples iex&gt; emoji = % Remedy.Struct.Emoji { id : 450225070569291776 } ...&gt; Remedy.Struct.Emoji . image_url ( emoji ) &quot;https://cdn.discordapp.com/emojis/450225070569291776.png&quot; iex&gt; emoji = % Remedy.Struct.Emoji { id : 406140226998894614 , animated : true } ...&gt; Remedy.Struct.Emoji . image_url ( emoji ) &quot;https://cdn.discordapp.com/emojis/406140226998894614.gif&quot; iex&gt; emoji = % Remedy.Struct.Emoji { id : nil , name : &quot;Γ¡É&quot; } ...&gt; Remedy.Struct.Emoji . image_url ( emoji ) nil","ref":"Remedy.Schema.Emoji.html#image_url/1","title":"Remedy.Schema.Emoji.image_url/1","type":"function"},{"doc":"Mention is more of a ping. potentially rename Formats an Remedy.Struct.Emoji into a mention. Examples iex&gt; emoji = % Remedy.Struct.Emoji { name : &quot;≡ƒæì&quot; } ...&gt; Remedy.Struct.Emoji . mention ( emoji ) &quot;≡ƒæì&quot; iex&gt; emoji = % Remedy.Struct.Emoji { id : 436885297037312001 , name : &quot;tealixir&quot; } ...&gt; Remedy.Struct.Emoji . mention ( emoji ) &quot;&lt;:tealixir:436885297037312001&gt;&quot; iex&gt; emoji = % Remedy.Struct.Emoji { id : 437016804309860372 , name : &quot;blobseizure&quot; , animated : true } ...&gt; Remedy.Struct.Emoji . mention ( emoji ) &quot;&lt;a:blobseizure:437016804309860372&gt;&quot;","ref":"Remedy.Schema.Emoji.html#mention/1","title":"Remedy.Schema.Emoji.mention/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Emoji.html#new/1","title":"Remedy.Schema.Emoji.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Emoji.html#validate/1","title":"Remedy.Schema.Emoji.validate/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Emoji.html#t:t/0","title":"Remedy.Schema.Emoji.t/0","type":"type"},{"doc":"Discord Guild Object","ref":"Remedy.Schema.Guild.html","title":"Remedy.Schema.Guild","type":"module"},{"doc":"","ref":"Remedy.Schema.Guild.html#banner/2","title":"Remedy.Schema.Guild.banner/2","type":"function"},{"doc":"","ref":"Remedy.Schema.Guild.html#changeset/1","title":"Remedy.Schema.Guild.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Guild.html#changeset/2","title":"Remedy.Schema.Guild.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.Guild.html#discovery_splash/2","title":"Remedy.Schema.Guild.discovery_splash/2","type":"function"},{"doc":"","ref":"Remedy.Schema.Guild.html#icon/2","title":"Remedy.Schema.Guild.icon/2","type":"function"},{"doc":"","ref":"Remedy.Schema.Guild.html#new/1","title":"Remedy.Schema.Guild.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Guild.html#splash/2","title":"Remedy.Schema.Guild.splash/2","type":"function"},{"doc":"","ref":"Remedy.Schema.Guild.html#update/2","title":"Remedy.Schema.Guild.update/2","type":"function"},{"doc":"","ref":"Remedy.Schema.Guild.html#validate/1","title":"Remedy.Schema.Guild.validate/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Guild.html#t:t/0","title":"Remedy.Schema.Guild.t/0","type":"type"},{"doc":"Incoming Webhook","ref":"Remedy.Schema.IncomingWebhook.html","title":"Remedy.Schema.IncomingWebhook","type":"module"},{"doc":"","ref":"Remedy.Schema.IncomingWebhook.html#changeset/1","title":"Remedy.Schema.IncomingWebhook.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.IncomingWebhook.html#changeset/2","title":"Remedy.Schema.IncomingWebhook.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.IncomingWebhook.html#new/1","title":"Remedy.Schema.IncomingWebhook.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.IncomingWebhook.html#validate/1","title":"Remedy.Schema.IncomingWebhook.validate/1","type":"function"},{"doc":"","ref":"Remedy.Schema.IncomingWebhook.html#t:avatar/0","title":"Remedy.Schema.IncomingWebhook.avatar/0","type":"type"},{"doc":"","ref":"Remedy.Schema.IncomingWebhook.html#t:channel/0","title":"Remedy.Schema.IncomingWebhook.channel/0","type":"type"},{"doc":"","ref":"Remedy.Schema.IncomingWebhook.html#t:guild/0","title":"Remedy.Schema.IncomingWebhook.guild/0","type":"type"},{"doc":"","ref":"Remedy.Schema.IncomingWebhook.html#t:name/0","title":"Remedy.Schema.IncomingWebhook.name/0","type":"type"},{"doc":"","ref":"Remedy.Schema.IncomingWebhook.html#t:t/0","title":"Remedy.Schema.IncomingWebhook.t/0","type":"type"},{"doc":"","ref":"Remedy.Schema.IncomingWebhook.html#t:token/0","title":"Remedy.Schema.IncomingWebhook.token/0","type":"type"},{"doc":"","ref":"Remedy.Schema.IncomingWebhook.html#t:type/0","title":"Remedy.Schema.IncomingWebhook.type/0","type":"type"},{"doc":"","ref":"Remedy.Schema.IncomingWebhook.html#t:user/0","title":"Remedy.Schema.IncomingWebhook.user/0","type":"type"},{"doc":"Integration Object","ref":"Remedy.Schema.Integration.html","title":"Remedy.Schema.Integration","type":"module"},{"doc":"","ref":"Remedy.Schema.Integration.html#t:t/0","title":"Remedy.Schema.Integration.t/0","type":"type"},{"doc":"Interaction Object","ref":"Remedy.Schema.Interaction.html","title":"Remedy.Schema.Interaction","type":"module"},{"doc":"","ref":"Remedy.Schema.Interaction.html#changeset/1","title":"Remedy.Schema.Interaction.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Interaction.html#changeset/2","title":"Remedy.Schema.Interaction.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.Interaction.html#new/1","title":"Remedy.Schema.Interaction.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Interaction.html#validate/1","title":"Remedy.Schema.Interaction.validate/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Interaction.html#t:t/0","title":"Remedy.Schema.Interaction.t/0","type":"type"},{"doc":"This is the center point between Commands, Interactions and Components. Should probably be the center point of any command framework","ref":"Remedy.Schema.InteractionData.html","title":"Remedy.Schema.InteractionData","type":"module"},{"doc":"","ref":"Remedy.Schema.InteractionData.html#changeset/1","title":"Remedy.Schema.InteractionData.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.InteractionData.html#changeset/2","title":"Remedy.Schema.InteractionData.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.InteractionData.html#new/1","title":"Remedy.Schema.InteractionData.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.InteractionData.html#validate/1","title":"Remedy.Schema.InteractionData.validate/1","type":"function"},{"doc":"","ref":"Remedy.Schema.InteractionData.html#t:t/0","title":"Remedy.Schema.InteractionData.t/0","type":"type"},{"doc":"Interaction Data Option Object","ref":"Remedy.Schema.InteractionDataOption.html","title":"Remedy.Schema.InteractionDataOption","type":"module"},{"doc":"","ref":"Remedy.Schema.InteractionDataOption.html#changeset/1","title":"Remedy.Schema.InteractionDataOption.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.InteractionDataOption.html#changeset/2","title":"Remedy.Schema.InteractionDataOption.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.InteractionDataOption.html#new/1","title":"Remedy.Schema.InteractionDataOption.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.InteractionDataOption.html#validate/1","title":"Remedy.Schema.InteractionDataOption.validate/1","type":"function"},{"doc":"","ref":"Remedy.Schema.InteractionDataOption.html#t:t/0","title":"Remedy.Schema.InteractionDataOption.t/0","type":"type"},{"doc":"Interaction Data Resolved Object","ref":"Remedy.Schema.InteractionDataResolved.html","title":"Remedy.Schema.InteractionDataResolved","type":"module"},{"doc":"","ref":"Remedy.Schema.InteractionDataResolved.html#changeset/1","title":"Remedy.Schema.InteractionDataResolved.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.InteractionDataResolved.html#changeset/2","title":"Remedy.Schema.InteractionDataResolved.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.InteractionDataResolved.html#new/1","title":"Remedy.Schema.InteractionDataResolved.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.InteractionDataResolved.html#validate/1","title":"Remedy.Schema.InteractionDataResolved.validate/1","type":"function"},{"doc":"","ref":"Remedy.Schema.InteractionDataResolved.html#t:t/0","title":"Remedy.Schema.InteractionDataResolved.t/0","type":"type"},{"doc":"Invite Object","ref":"Remedy.Schema.Invite.html","title":"Remedy.Schema.Invite","type":"module"},{"doc":"","ref":"Remedy.Schema.Invite.html#changeset/1","title":"Remedy.Schema.Invite.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Invite.html#changeset/2","title":"Remedy.Schema.Invite.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.Invite.html#new/1","title":"Remedy.Schema.Invite.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Invite.html#validate/1","title":"Remedy.Schema.Invite.validate/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Invite.html#t:t/0","title":"Remedy.Schema.Invite.t/0","type":"type"},{"doc":"Guild Member Object","ref":"Remedy.Schema.Member.html","title":"Remedy.Schema.Member","type":"module"},{"doc":"","ref":"Remedy.Schema.Member.html#changeset/1","title":"Remedy.Schema.Member.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Member.html#changeset/2","title":"Remedy.Schema.Member.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.Member.html#new/1","title":"Remedy.Schema.Member.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Member.html#validate/1","title":"Remedy.Schema.Member.validate/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Member.html#t:t/0","title":"Remedy.Schema.Member.t/0","type":"type"},{"doc":"Message Object","ref":"Remedy.Schema.Message.html","title":"Remedy.Schema.Message","type":"module"},{"doc":"","ref":"Remedy.Schema.Message.html#changeset/1","title":"Remedy.Schema.Message.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Message.html#changeset/2","title":"Remedy.Schema.Message.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.Message.html#link/1","title":"Remedy.Schema.Message.link/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Message.html#new/1","title":"Remedy.Schema.Message.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Message.html#validate/1","title":"Remedy.Schema.Message.validate/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Message.html#t:activity/0","title":"Remedy.Schema.Message.activity/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Message.html#t:application/0","title":"Remedy.Schema.Message.application/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Message.html#t:attachments/0","title":"Remedy.Schema.Message.attachments/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Message.html#t:author/0","title":"Remedy.Schema.Message.author/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Message.html#t:channel/0","title":"Remedy.Schema.Message.channel/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Message.html#t:components/0","title":"Remedy.Schema.Message.components/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Message.html#t:content/0","title":"Remedy.Schema.Message.content/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Message.html#t:edited_timestamp/0","title":"Remedy.Schema.Message.edited_timestamp/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Message.html#t:embeds/0","title":"Remedy.Schema.Message.embeds/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Message.html#t:flags/0","title":"Remedy.Schema.Message.flags/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Message.html#t:guild/0","title":"Remedy.Schema.Message.guild/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Message.html#t:id/0","title":"Remedy.Schema.Message.id/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Message.html#t:interaction/0","title":"Remedy.Schema.Message.interaction/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Message.html#t:member/0","title":"Remedy.Schema.Message.member/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Message.html#t:mention_channels/0","title":"Remedy.Schema.Message.mention_channels/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Message.html#t:mention_everyone/0","title":"Remedy.Schema.Message.mention_everyone/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Message.html#t:mention_roles/0","title":"Remedy.Schema.Message.mention_roles/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Message.html#t:mentions/0","title":"Remedy.Schema.Message.mentions/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Message.html#t:message_reference/0","title":"Remedy.Schema.Message.message_reference/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Message.html#t:nonce/0","title":"Remedy.Schema.Message.nonce/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Message.html#t:pinned/0","title":"Remedy.Schema.Message.pinned/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Message.html#t:reactions/0","title":"Remedy.Schema.Message.reactions/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Message.html#t:referenced_message/0","title":"Remedy.Schema.Message.referenced_message/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Message.html#t:sticker_items/0","title":"Remedy.Schema.Message.sticker_items/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Message.html#t:t/0","title":"Remedy.Schema.Message.t/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Message.html#t:thread/0","title":"Remedy.Schema.Message.thread/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Message.html#t:timestamp/0","title":"Remedy.Schema.Message.timestamp/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Message.html#t:tts/0","title":"Remedy.Schema.Message.tts/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Message.html#t:type/0","title":"Remedy.Schema.Message.type/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Message.html#t:webhook/0","title":"Remedy.Schema.Message.webhook/0","type":"type"},{"doc":"Permissions Object","ref":"Remedy.Schema.Permission.html","title":"Remedy.Schema.Permission","type":"module"},{"doc":"Returns a list of all permissions.","ref":"Remedy.Schema.Permission.html#all/0","title":"Remedy.Schema.Permission.all/0","type":"function"},{"doc":"","ref":"Remedy.Schema.Permission.html#changeset/1","title":"Remedy.Schema.Permission.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Permission.html#changeset/2","title":"Remedy.Schema.Permission.changeset/2","type":"function"},{"doc":"Converts the given bit to a permission. This function returns :error if bit does not map to a permission. Examples iex&gt; Remedy.Permission.from_bit(0x04000000) {:ok, :change_nickname} iex&gt; Remedy.Permission.from_bit(0) :error","ref":"Remedy.Schema.Permission.html#from_bit/1","title":"Remedy.Schema.Permission.from_bit/1","type":"function"},{"doc":"Same as from_bit/1 , but raises ArgumentError in case of failure. Examples iex&gt; Remedy.Permission.from_bit!(0x04000000) :change_nickname iex&gt; Remedy.Permission.from_bit!(0) ** (ArgumentError) expected a valid bit, got: `0`","ref":"Remedy.Schema.Permission.html#from_bit!/1","title":"Remedy.Schema.Permission.from_bit!/1","type":"function"},{"doc":"Converts the given bitset to a list of permissions. If invalid bits are given they will be omitted from the results. Examples iex&gt; Remedy.Permission.from_bitset(0x08000002) [:manage_nicknames, :kick_members] iex&gt; Remedy.Permission.from_bitset(0x4000000000000) []","ref":"Remedy.Schema.Permission.html#from_bitset/1","title":"Remedy.Schema.Permission.from_bitset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Permission.html#from_integer/1","title":"Remedy.Schema.Permission.from_integer/1","type":"function"},{"doc":"Returns true if term is a permission; otherwise returns false . Examples iex&gt; Remedy.Permission.is_permission(:administrator) true iex&gt; Remedy.Permission.is_permission(:not_a_permission) false","ref":"Remedy.Schema.Permission.html#is_permission/1","title":"Remedy.Schema.Permission.is_permission/1","type":"macro"},{"doc":"","ref":"Remedy.Schema.Permission.html#new/1","title":"Remedy.Schema.Permission.new/1","type":"function"},{"doc":"Converts the given permission to a bit. Examples iex&gt; Remedy.Permission.to_bit(:administrator) 8","ref":"Remedy.Schema.Permission.html#to_bit/1","title":"Remedy.Schema.Permission.to_bit/1","type":"function"},{"doc":"Converts the given enumerable of permissions to a bitset. Examples iex&gt; Remedy.Permission.to_bitset([:administrator, :create_instant_invite]) 9","ref":"Remedy.Schema.Permission.html#to_bitset/1","title":"Remedy.Schema.Permission.to_bitset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Permission.html#to_integer/1","title":"Remedy.Schema.Permission.to_integer/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Permission.html#validate/1","title":"Remedy.Schema.Permission.validate/1","type":"function"},{"doc":"Represents a single permission as a bitvalue.","ref":"Remedy.Schema.Permission.html#t:bit/0","title":"Remedy.Schema.Permission.bit/0","type":"type"},{"doc":"Represents a set of permissions as a bitvalue.","ref":"Remedy.Schema.Permission.html#t:bitset/0","title":"Remedy.Schema.Permission.bitset/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Permission.html#t:t/0","title":"Remedy.Schema.Permission.t/0","type":"type"},{"doc":"Presence object","ref":"Remedy.Schema.Presence.html","title":"Remedy.Schema.Presence","type":"module"},{"doc":"","ref":"Remedy.Schema.Presence.html#changeset/1","title":"Remedy.Schema.Presence.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Presence.html#changeset/2","title":"Remedy.Schema.Presence.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.Presence.html#new/1","title":"Remedy.Schema.Presence.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Presence.html#validate/1","title":"Remedy.Schema.Presence.validate/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Presence.html#t:t/0","title":"Remedy.Schema.Presence.t/0","type":"type"},{"doc":"Message Reaction Object","ref":"Remedy.Schema.Reaction.html","title":"Remedy.Schema.Reaction","type":"module"},{"doc":"","ref":"Remedy.Schema.Reaction.html#changeset/1","title":"Remedy.Schema.Reaction.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Reaction.html#changeset/2","title":"Remedy.Schema.Reaction.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.Reaction.html#new/1","title":"Remedy.Schema.Reaction.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Reaction.html#validate/1","title":"Remedy.Schema.Reaction.validate/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Reaction.html#t:t/0","title":"Remedy.Schema.Reaction.t/0","type":"type"},{"doc":"Reference Object","ref":"Remedy.Schema.Reference.html","title":"Remedy.Schema.Reference","type":"module"},{"doc":"","ref":"Remedy.Schema.Reference.html#changeset/1","title":"Remedy.Schema.Reference.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Reference.html#changeset/2","title":"Remedy.Schema.Reference.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.Reference.html#new/1","title":"Remedy.Schema.Reference.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Reference.html#validate/1","title":"Remedy.Schema.Reference.validate/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Reference.html#t:t/0","title":"Remedy.Schema.Reference.t/0","type":"type"},{"doc":"Role","ref":"Remedy.Schema.Role.html","title":"Remedy.Schema.Role","type":"module"},{"doc":"","ref":"Remedy.Schema.Role.html#changeset/1","title":"Remedy.Schema.Role.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Role.html#changeset/2","title":"Remedy.Schema.Role.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.Role.html#new/1","title":"Remedy.Schema.Role.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Role.html#validate/1","title":"Remedy.Schema.Role.validate/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Role.html#t:t/0","title":"Remedy.Schema.Role.t/0","type":"type"},{"doc":"Stage Instance","ref":"Remedy.Schema.StageInstance.html","title":"Remedy.Schema.StageInstance","type":"module"},{"doc":"","ref":"Remedy.Schema.StageInstance.html#changeset/1","title":"Remedy.Schema.StageInstance.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.StageInstance.html#changeset/2","title":"Remedy.Schema.StageInstance.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.StageInstance.html#new/1","title":"Remedy.Schema.StageInstance.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.StageInstance.html#validate/1","title":"Remedy.Schema.StageInstance.validate/1","type":"function"},{"doc":"","ref":"Remedy.Schema.StageInstance.html#t:t/0","title":"Remedy.Schema.StageInstance.t/0","type":"type"},{"doc":"Sticker","ref":"Remedy.Schema.Sticker.html","title":"Remedy.Schema.Sticker","type":"module"},{"doc":"","ref":"Remedy.Schema.Sticker.html#changeset/1","title":"Remedy.Schema.Sticker.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Sticker.html#changeset/2","title":"Remedy.Schema.Sticker.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.Sticker.html#new/1","title":"Remedy.Schema.Sticker.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Sticker.html#validate/1","title":"Remedy.Schema.Sticker.validate/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Sticker.html#t:t/0","title":"Remedy.Schema.Sticker.t/0","type":"type"},{"doc":"Sticker Pack","ref":"Remedy.Schema.StickerPack.html","title":"Remedy.Schema.StickerPack","type":"module"},{"doc":"","ref":"Remedy.Schema.StickerPack.html#changeset/1","title":"Remedy.Schema.StickerPack.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.StickerPack.html#changeset/2","title":"Remedy.Schema.StickerPack.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.StickerPack.html#new/1","title":"Remedy.Schema.StickerPack.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.StickerPack.html#validate/1","title":"Remedy.Schema.StickerPack.validate/1","type":"function"},{"doc":"","ref":"Remedy.Schema.StickerPack.html#t:t/0","title":"Remedy.Schema.StickerPack.t/0","type":"type"},{"doc":"Discord Team Object","ref":"Remedy.Schema.Team.html","title":"Remedy.Schema.Team","type":"module"},{"doc":"","ref":"Remedy.Schema.Team.html#changeset/1","title":"Remedy.Schema.Team.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Team.html#changeset/2","title":"Remedy.Schema.Team.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.Team.html#new/1","title":"Remedy.Schema.Team.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Team.html#validate/1","title":"Remedy.Schema.Team.validate/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Team.html#t:t/0","title":"Remedy.Schema.Team.t/0","type":"type"},{"doc":"Discord Team Member Object","ref":"Remedy.Schema.TeamMember.html","title":"Remedy.Schema.TeamMember","type":"module"},{"doc":"","ref":"Remedy.Schema.TeamMember.html#changeset/1","title":"Remedy.Schema.TeamMember.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.TeamMember.html#changeset/2","title":"Remedy.Schema.TeamMember.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.TeamMember.html#new/1","title":"Remedy.Schema.TeamMember.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.TeamMember.html#validate/1","title":"Remedy.Schema.TeamMember.validate/1","type":"function"},{"doc":"","ref":"Remedy.Schema.TeamMember.html#t:t/0","title":"Remedy.Schema.TeamMember.t/0","type":"type"},{"doc":"Discord Thread Object","ref":"Remedy.Schema.Thread.html","title":"Remedy.Schema.Thread","type":"module"},{"doc":"","ref":"Remedy.Schema.Thread.html#changeset/1","title":"Remedy.Schema.Thread.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Thread.html#changeset/2","title":"Remedy.Schema.Thread.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.Thread.html#new/1","title":"Remedy.Schema.Thread.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Thread.html#validate/1","title":"Remedy.Schema.Thread.validate/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Thread.html#t:t/0","title":"Remedy.Schema.Thread.t/0","type":"type"},{"doc":"User Schema","ref":"Remedy.Schema.User.html","title":"Remedy.Schema.User","type":"module"},{"doc":"","ref":"Remedy.Schema.User.html#avatar/2","title":"Remedy.Schema.User.avatar/2","type":"function"},{"doc":"","ref":"Remedy.Schema.User.html#changeset/1","title":"Remedy.Schema.User.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.User.html#changeset/2","title":"Remedy.Schema.User.changeset/2","type":"function"},{"doc":"Converts a User to its mention format.","ref":"Remedy.Schema.User.html#mention/1","title":"Remedy.Schema.User.mention/1","type":"function"},{"doc":"","ref":"Remedy.Schema.User.html#new/1","title":"Remedy.Schema.User.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.User.html#update/2","title":"Remedy.Schema.User.update/2","type":"function"},{"doc":"","ref":"Remedy.Schema.User.html#validate/1","title":"Remedy.Schema.User.validate/1","type":"function"},{"doc":"","ref":"Remedy.Schema.User.html#t:accent_color/0","title":"Remedy.Schema.User.accent_color/0","type":"type"},{"doc":"","ref":"Remedy.Schema.User.html#t:avatar/0","title":"Remedy.Schema.User.avatar/0","type":"type"},{"doc":"","ref":"Remedy.Schema.User.html#t:banner/0","title":"Remedy.Schema.User.banner/0","type":"type"},{"doc":"","ref":"Remedy.Schema.User.html#t:bot/0","title":"Remedy.Schema.User.bot/0","type":"type"},{"doc":"","ref":"Remedy.Schema.User.html#t:discriminator/0","title":"Remedy.Schema.User.discriminator/0","type":"type"},{"doc":"","ref":"Remedy.Schema.User.html#t:email/0","title":"Remedy.Schema.User.email/0","type":"type"},{"doc":"","ref":"Remedy.Schema.User.html#t:flags/0","title":"Remedy.Schema.User.flags/0","type":"type"},{"doc":"","ref":"Remedy.Schema.User.html#t:id/0","title":"Remedy.Schema.User.id/0","type":"type"},{"doc":"","ref":"Remedy.Schema.User.html#t:locale/0","title":"Remedy.Schema.User.locale/0","type":"type"},{"doc":"","ref":"Remedy.Schema.User.html#t:mfa_enabled/0","title":"Remedy.Schema.User.mfa_enabled/0","type":"type"},{"doc":"","ref":"Remedy.Schema.User.html#t:premium_type/0","title":"Remedy.Schema.User.premium_type/0","type":"type"},{"doc":"","ref":"Remedy.Schema.User.html#t:public_flags/0","title":"Remedy.Schema.User.public_flags/0","type":"type"},{"doc":"","ref":"Remedy.Schema.User.html#t:system/0","title":"Remedy.Schema.User.system/0","type":"type"},{"doc":"","ref":"Remedy.Schema.User.html#t:t/0","title":"Remedy.Schema.User.t/0","type":"type"},{"doc":"","ref":"Remedy.Schema.User.html#t:username/0","title":"Remedy.Schema.User.username/0","type":"type"},{"doc":"","ref":"Remedy.Schema.User.html#t:verified/0","title":"Remedy.Schema.User.verified/0","type":"type"},{"doc":"User Flags","ref":"Remedy.Schema.UserFlags.html","title":"Remedy.Schema.UserFlags","type":"module"},{"doc":"","ref":"Remedy.Schema.UserFlags.html#changeset/1","title":"Remedy.Schema.UserFlags.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.UserFlags.html#changeset/2","title":"Remedy.Schema.UserFlags.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.UserFlags.html#from_integer/1","title":"Remedy.Schema.UserFlags.from_integer/1","type":"function"},{"doc":"","ref":"Remedy.Schema.UserFlags.html#new/1","title":"Remedy.Schema.UserFlags.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.UserFlags.html#to_integer/1","title":"Remedy.Schema.UserFlags.to_integer/1","type":"function"},{"doc":"","ref":"Remedy.Schema.UserFlags.html#validate/1","title":"Remedy.Schema.UserFlags.validate/1","type":"function"},{"doc":"","ref":"Remedy.Schema.UserFlags.html#t:bug_hunter_level_1/0","title":"Remedy.Schema.UserFlags.bug_hunter_level_1/0","type":"type"},{"doc":"","ref":"Remedy.Schema.UserFlags.html#t:bug_hunter_level_2/0","title":"Remedy.Schema.UserFlags.bug_hunter_level_2/0","type":"type"},{"doc":"","ref":"Remedy.Schema.UserFlags.html#t:discord_certified_moderator/0","title":"Remedy.Schema.UserFlags.discord_certified_moderator/0","type":"type"},{"doc":"","ref":"Remedy.Schema.UserFlags.html#t:discord_employee/0","title":"Remedy.Schema.UserFlags.discord_employee/0","type":"type"},{"doc":"","ref":"Remedy.Schema.UserFlags.html#t:early_supporter/0","title":"Remedy.Schema.UserFlags.early_supporter/0","type":"type"},{"doc":"","ref":"Remedy.Schema.UserFlags.html#t:hypesquad_balance/0","title":"Remedy.Schema.UserFlags.hypesquad_balance/0","type":"type"},{"doc":"","ref":"Remedy.Schema.UserFlags.html#t:hypesquad_bravery/0","title":"Remedy.Schema.UserFlags.hypesquad_bravery/0","type":"type"},{"doc":"","ref":"Remedy.Schema.UserFlags.html#t:hypesquad_brilliance/0","title":"Remedy.Schema.UserFlags.hypesquad_brilliance/0","type":"type"},{"doc":"","ref":"Remedy.Schema.UserFlags.html#t:hypesquad_events/0","title":"Remedy.Schema.UserFlags.hypesquad_events/0","type":"type"},{"doc":"","ref":"Remedy.Schema.UserFlags.html#t:partnered_server_owner/0","title":"Remedy.Schema.UserFlags.partnered_server_owner/0","type":"type"},{"doc":"","ref":"Remedy.Schema.UserFlags.html#t:system/0","title":"Remedy.Schema.UserFlags.system/0","type":"type"},{"doc":"","ref":"Remedy.Schema.UserFlags.html#t:t/0","title":"Remedy.Schema.UserFlags.t/0","type":"type"},{"doc":"","ref":"Remedy.Schema.UserFlags.html#t:team_user/0","title":"Remedy.Schema.UserFlags.team_user/0","type":"type"},{"doc":"","ref":"Remedy.Schema.UserFlags.html#t:verified_bot/0","title":"Remedy.Schema.UserFlags.verified_bot/0","type":"type"},{"doc":"","ref":"Remedy.Schema.UserFlags.html#t:verified_developer/0","title":"Remedy.Schema.UserFlags.verified_developer/0","type":"type"},{"doc":"Voice Region","ref":"Remedy.Schema.VoiceRegion.html","title":"Remedy.Schema.VoiceRegion","type":"module"},{"doc":"","ref":"Remedy.Schema.VoiceRegion.html#changeset/1","title":"Remedy.Schema.VoiceRegion.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.VoiceRegion.html#changeset/2","title":"Remedy.Schema.VoiceRegion.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.VoiceRegion.html#new/1","title":"Remedy.Schema.VoiceRegion.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.VoiceRegion.html#validate/1","title":"Remedy.Schema.VoiceRegion.validate/1","type":"function"},{"doc":"","ref":"Remedy.Schema.VoiceRegion.html#t:t/0","title":"Remedy.Schema.VoiceRegion.t/0","type":"type"},{"doc":"Webhook","ref":"Remedy.Schema.Webhook.html","title":"Remedy.Schema.Webhook","type":"module"},{"doc":"","ref":"Remedy.Schema.Webhook.html#changeset/1","title":"Remedy.Schema.Webhook.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Webhook.html#changeset/2","title":"Remedy.Schema.Webhook.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.Webhook.html#new/1","title":"Remedy.Schema.Webhook.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Webhook.html#validate/1","title":"Remedy.Schema.Webhook.validate/1","type":"function"},{"doc":"","ref":"Remedy.Schema.Webhook.html#t:application/0","title":"Remedy.Schema.Webhook.application/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Webhook.html#t:avatar/0","title":"Remedy.Schema.Webhook.avatar/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Webhook.html#t:channel/0","title":"Remedy.Schema.Webhook.channel/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Webhook.html#t:guild/0","title":"Remedy.Schema.Webhook.guild/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Webhook.html#t:name/0","title":"Remedy.Schema.Webhook.name/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Webhook.html#t:source_channel/0","title":"Remedy.Schema.Webhook.source_channel/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Webhook.html#t:source_guild/0","title":"Remedy.Schema.Webhook.source_guild/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Webhook.html#t:t/0","title":"Remedy.Schema.Webhook.t/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Webhook.html#t:token/0","title":"Remedy.Schema.Webhook.token/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Webhook.html#t:type/0","title":"Remedy.Schema.Webhook.type/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Webhook.html#t:url/0","title":"Remedy.Schema.Webhook.url/0","type":"type"},{"doc":"","ref":"Remedy.Schema.Webhook.html#t:user/0","title":"Remedy.Schema.Webhook.user/0","type":"type"},{"doc":"Guild Welcome Screen","ref":"Remedy.Schema.WelcomeScreen.html","title":"Remedy.Schema.WelcomeScreen","type":"module"},{"doc":"","ref":"Remedy.Schema.WelcomeScreen.html#changeset/1","title":"Remedy.Schema.WelcomeScreen.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.WelcomeScreen.html#changeset/2","title":"Remedy.Schema.WelcomeScreen.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.WelcomeScreen.html#new/1","title":"Remedy.Schema.WelcomeScreen.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.WelcomeScreen.html#validate/1","title":"Remedy.Schema.WelcomeScreen.validate/1","type":"function"},{"doc":"","ref":"Remedy.Schema.WelcomeScreen.html#t:description/0","title":"Remedy.Schema.WelcomeScreen.description/0","type":"type"},{"doc":"","ref":"Remedy.Schema.WelcomeScreen.html#t:t/0","title":"Remedy.Schema.WelcomeScreen.t/0","type":"type"},{"doc":"","ref":"Remedy.Schema.WelcomeScreen.html#t:welcome_channels/0","title":"Remedy.Schema.WelcomeScreen.welcome_channels/0","type":"type"},{"doc":"Guild Welcome Screen","ref":"Remedy.Schema.WelcomeScreenChannel.html","title":"Remedy.Schema.WelcomeScreenChannel","type":"module"},{"doc":"","ref":"Remedy.Schema.WelcomeScreenChannel.html#changeset/1","title":"Remedy.Schema.WelcomeScreenChannel.changeset/1","type":"function"},{"doc":"","ref":"Remedy.Schema.WelcomeScreenChannel.html#changeset/2","title":"Remedy.Schema.WelcomeScreenChannel.changeset/2","type":"function"},{"doc":"","ref":"Remedy.Schema.WelcomeScreenChannel.html#new/1","title":"Remedy.Schema.WelcomeScreenChannel.new/1","type":"function"},{"doc":"","ref":"Remedy.Schema.WelcomeScreenChannel.html#validate/1","title":"Remedy.Schema.WelcomeScreenChannel.validate/1","type":"function"},{"doc":"","ref":"Remedy.Schema.WelcomeScreenChannel.html#t:channel_id/0","title":"Remedy.Schema.WelcomeScreenChannel.channel_id/0","type":"type"},{"doc":"","ref":"Remedy.Schema.WelcomeScreenChannel.html#t:description/0","title":"Remedy.Schema.WelcomeScreenChannel.description/0","type":"type"},{"doc":"","ref":"Remedy.Schema.WelcomeScreenChannel.html#t:emoji_id/0","title":"Remedy.Schema.WelcomeScreenChannel.emoji_id/0","type":"type"},{"doc":"","ref":"Remedy.Schema.WelcomeScreenChannel.html#t:emoji_name/0","title":"Remedy.Schema.WelcomeScreenChannel.emoji_name/0","type":"type"},{"doc":"","ref":"Remedy.Schema.WelcomeScreenChannel.html#t:t/0","title":"Remedy.Schema.WelcomeScreenChannel.t/0","type":"type"},{"doc":"Represents a failed response from the API. Check the Format","ref":"Remedy.APIError.html","title":"Remedy.APIError","type":"exception"},{"doc":"","ref":"Remedy.APIError.html#t:detailed_error/0","title":"Remedy.APIError.detailed_error/0","type":"type"},{"doc":"","ref":"Remedy.APIError.html#t:discord_status_code/0","title":"Remedy.APIError.discord_status_code/0","type":"type"},{"doc":"","ref":"Remedy.APIError.html#t:error/0","title":"Remedy.APIError.error/0","type":"type"},{"doc":"","ref":"Remedy.APIError.html#t:error_list_map/0","title":"Remedy.APIError.error_list_map/0","type":"type"},{"doc":"","ref":"Remedy.APIError.html#t:errors/0","title":"Remedy.APIError.errors/0","type":"type"},{"doc":"","ref":"Remedy.APIError.html#t:response/0","title":"Remedy.APIError.response/0","type":"type"},{"doc":"","ref":"Remedy.APIError.html#t:status_code/0","title":"Remedy.APIError.status_code/0","type":"type"},{"doc":"","ref":"Remedy.APIError.html#t:t/0","title":"Remedy.APIError.t/0","type":"type"},{"doc":"Represents an error when interacting with the cache. This likely occurs because a specified item could not be found in the cache, or your were searching for something invalid. This should only occur when using the banged cache methods.","ref":"Remedy.CacheError.html","title":"Remedy.CacheError","type":"exception"},{"doc":"Raised when an environment variable cannot be found","ref":"Remedy.EnvironmentVariableError.html","title":"Remedy.EnvironmentVariableError","type":"exception"},{"doc":"Represents an error when playing sound through voice channels. This occurs when attempting to play audio and Porcelain can't find either the ffmpeg executable or the youtube-dl executable.","ref":"Remedy.VoiceError.html","title":"Remedy.VoiceError","type":"exception"},{"doc":"Remedy Remedy is an elixir library for interracting with the Discord API . The project began as a fork of the Nostrum library","ref":"introduction.html","title":"Remedy","type":"extras"},{"doc":"[ ] Complete doc coverage [ ] make doctests work [ ] Complete test coverage [x] new github actions [x] Convert structs to schema [x] Convert Cache to Ecto + Etso [x] use Gun as the only HTTP client [ ] Re implement voice [x] rewrite gateway modules [x] Code clean up to respect contexts [ ] smash morphix apart and just take the 1 function i use [ ] Remove config.exs","ref":"introduction.html#to-do","title":"Remedy - To Do","type":"extras"},{"doc":"defp deps ( ) do [ { :remedy , &quot;~&gt; 0.6.4&quot; } ] end","ref":"introduction.html#installation","title":"Remedy - Installation","type":"extras"},{"doc":"MIT","ref":"introduction.html#license","title":"Remedy - License","type":"extras"}]